/**
 * 竞争对手
 *
 * @export
 * @interface Competitor
 */
export interface Competitor {

    /**
     * EntityImage
     *
     * @returns {*}
     * @memberof Competitor
     */
    entityimage?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof Competitor
     */
    createdate?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof Competitor
     */
    updatedate?: any;

    /**
     * Address2_ShippingMethodCode
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_shippingmethodcode?: any;

    /**
     * Address2_Country
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_country?: any;

    /**
     * Address2_Telephone2
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_telephone2?: any;

    /**
     * WinPercentage
     *
     * @returns {*}
     * @memberof Competitor
     */
    winpercentage?: any;

    /**
     * Address1_ShippingMethodCode
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_shippingmethodcode?: any;

    /**
     * ReferenceInfoUrl
     *
     * @returns {*}
     * @memberof Competitor
     */
    referenceinfourl?: any;

    /**
     * Address2_Latitude
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_latitude?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof Competitor
     */
    versionnumber?: any;

    /**
     * Address2_County
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_county?: any;

    /**
     * ImportSequenceNumber
     *
     * @returns {*}
     * @memberof Competitor
     */
    importsequencenumber?: any;

    /**
     * Address2_Telephone3
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_telephone3?: any;

    /**
     * TraversedPath
     *
     * @returns {*}
     * @memberof Competitor
     */
    traversedpath?: any;

    /**
     * Address1_City
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_city?: any;

    /**
     * ReportedRevenue_Base
     *
     * @returns {*}
     * @memberof Competitor
     */
    reportedrevenue_base?: any;

    /**
     * CompetitorId
     *
     * @returns {*}
     * @memberof Competitor
     */
    competitorid?: any;

    /**
     * Address1_Fax
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_fax?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof Competitor
     */
    updateman?: any;

    /**
     * Overview
     *
     * @returns {*}
     * @memberof Competitor
     */
    overview?: any;

    /**
     * Address2_StateOrProvince
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_stateorprovince?: any;

    /**
     * EntityImageId
     *
     * @returns {*}
     * @memberof Competitor
     */
    entityimageid?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof Competitor
     */
    timezoneruleversionnumber?: any;

    /**
     * Address2_UPSZone
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_upszone?: any;

    /**
     * Address1_Line3
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_line3?: any;

    /**
     * StockExchange
     *
     * @returns {*}
     * @memberof Competitor
     */
    stockexchange?: any;

    /**
     * StageId
     *
     * @returns {*}
     * @memberof Competitor
     */
    stageid?: any;

    /**
     * ReportingYear
     *
     * @returns {*}
     * @memberof Competitor
     */
    reportingyear?: any;

    /**
     * ReportingQuarter
     *
     * @returns {*}
     * @memberof Competitor
     */
    reportingquarter?: any;

    /**
     * Address1_StateOrProvince
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_stateorprovince?: any;

    /**
     * Address1_UTCOffset
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_utcoffset?: any;

    /**
     * Address1_Latitude
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_latitude?: any;

    /**
     * Address1_Composite
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_composite?: any;

    /**
     * Address1_County
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_county?: any;

    /**
     * Address1_Name
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_name?: any;

    /**
     * Address1_PostalCode
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_postalcode?: any;

    /**
     * Opportunities
     *
     * @returns {*}
     * @memberof Competitor
     */
    opportunities?: any;

    /**
     * Address1_AddressId
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_addressid?: any;

    /**
     * Address2_Line3
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_line3?: any;

    /**
     * Address2_Fax
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_fax?: any;

    /**
     * ProcessId
     *
     * @returns {*}
     * @memberof Competitor
     */
    processid?: any;

    /**
     * Address2_PostOfficeBox
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_postofficebox?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof Competitor
     */
    createman?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof Competitor
     */
    exchangerate?: any;

    /**
     * OverriddenCreatedOn
     *
     * @returns {*}
     * @memberof Competitor
     */
    overriddencreatedon?: any;

    /**
     * Address1_Telephone2
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_telephone2?: any;

    /**
     * Strengths
     *
     * @returns {*}
     * @memberof Competitor
     */
    strengths?: any;

    /**
     * Address2_AddressTypeCode
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_addresstypecode?: any;

    /**
     * Address1_PostOfficeBox
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_postofficebox?: any;

    /**
     * Weaknesses
     *
     * @returns {*}
     * @memberof Competitor
     */
    weaknesses?: any;

    /**
     * Address1_Line2
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_line2?: any;

    /**
     * YomiName
     *
     * @returns {*}
     * @memberof Competitor
     */
    yominame?: any;

    /**
     * Address2_Longitude
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_longitude?: any;

    /**
     * Threats
     *
     * @returns {*}
     * @memberof Competitor
     */
    threats?: any;

    /**
     * Address2_Composite
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_composite?: any;

    /**
     * EntityImage_Timestamp
     *
     * @returns {*}
     * @memberof Competitor
     */
    entityimage_timestamp?: any;

    /**
     * Address2_UTCOffset
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_utcoffset?: any;

    /**
     * Address1_Country
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_country?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof Competitor
     */
    utcconversiontimezonecode?: any;

    /**
     * ReportedRevenue
     *
     * @returns {*}
     * @memberof Competitor
     */
    reportedrevenue?: any;

    /**
     * Address1_Longitude
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_longitude?: any;

    /**
     * TickerSymbol
     *
     * @returns {*}
     * @memberof Competitor
     */
    tickersymbol?: any;

    /**
     * Address2_Telephone1
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_telephone1?: any;

    /**
     * KeyProduct
     *
     * @returns {*}
     * @memberof Competitor
     */
    keyproduct?: any;

    /**
     * EntityImage_URL
     *
     * @returns {*}
     * @memberof Competitor
     */
    entityimage_url?: any;

    /**
     * Address2_City
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_city?: any;

    /**
     * WebSiteUrl
     *
     * @returns {*}
     * @memberof Competitor
     */
    websiteurl?: any;

    /**
     * Address2_AddressId
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_addressid?: any;

    /**
     * Address1_Telephone1
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_telephone1?: any;

    /**
     * Address2_PostalCode
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_postalcode?: any;

    /**
     * Address1_Line1
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_line1?: any;

    /**
     * Address1_Telephone3
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_telephone3?: any;

    /**
     * Address2_Line1
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_line1?: any;

    /**
     * Address1_AddressTypeCode
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_addresstypecode?: any;

    /**
     * Address2_Name
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_name?: any;

    /**
     * competitorName
     *
     * @returns {*}
     * @memberof Competitor
     */
    competitorname?: any;

    /**
     * Address1_UPSZone
     *
     * @returns {*}
     * @memberof Competitor
     */
    address1_upszone?: any;

    /**
     * Address2_Line2
     *
     * @returns {*}
     * @memberof Competitor
     */
    address2_line2?: any;

    /**
     * TransactionCurrencyId
     *
     * @returns {*}
     * @memberof Competitor
     */
    transactioncurrencyid?: any;
}