/**
 * 案例
 *
 * @export
 * @interface Incident
 */
export interface Incident {

    /**
     * LastOnHoldTime
     *
     * @returns {*}
     * @memberof Incident
     */
    lastonholdtime?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof Incident
     */
    versionnumber?: any;

    /**
     * CustomerIdType
     *
     * @returns {*}
     * @memberof Incident
     */
    customeridtype?: any;

    /**
     * FirstResponseSLAStatus
     *
     * @returns {*}
     * @memberof Incident
     */
    firstresponseslastatus?: any;

    /**
     * IncidentStageCode
     *
     * @returns {*}
     * @memberof Incident
     */
    incidentstagecode?: any;

    /**
     * InfluenceScore
     *
     * @returns {*}
     * @memberof Incident
     */
    influencescore?: any;

    /**
     * CustomerId
     *
     * @returns {*}
     * @memberof Incident
     */
    customerid?: any;

    /**
     * SocialProfileId
     *
     * @returns {*}
     * @memberof Incident
     */
    socialprofileid?: any;

    /**
     * TicketNumber
     *
     * @returns {*}
     * @memberof Incident
     */
    ticketnumber?: any;

    /**
     * Merged
     *
     * @returns {*}
     * @memberof Incident
     */
    merged?: any;

    /**
     * ProductSerialNumber
     *
     * @returns {*}
     * @memberof Incident
     */
    productserialnumber?: any;

    /**
     * Description
     *
     * @returns {*}
     * @memberof Incident
     */
    description?: any;

    /**
     * OwnerIdType
     *
     * @returns {*}
     * @memberof Incident
     */
    owneridtype?: any;

    /**
     * Escalated
     *
     * @returns {*}
     * @memberof Incident
     */
    escalated?: any;

    /**
     * StageId
     *
     * @returns {*}
     * @memberof Incident
     */
    stageid?: any;

    /**
     * CaseTypeCode
     *
     * @returns {*}
     * @memberof Incident
     */
    casetypecode?: any;

    /**
     * EmailAddress
     *
     * @returns {*}
     * @memberof Incident
     */
    emailaddress?: any;

    /**
     * CheckEmail
     *
     * @returns {*}
     * @memberof Incident
     */
    checkemail?: any;

    /**
     * SeverityCode
     *
     * @returns {*}
     * @memberof Incident
     */
    severitycode?: any;

    /**
     * EscalatedOn
     *
     * @returns {*}
     * @memberof Incident
     */
    escalatedon?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof Incident
     */
    utcconversiontimezonecode?: any;

    /**
     * OwnerId
     *
     * @returns {*}
     * @memberof Incident
     */
    ownerid?: any;

    /**
     * BilledServiceUnits
     *
     * @returns {*}
     * @memberof Incident
     */
    billedserviceunits?: any;

    /**
     * PriorityCode
     *
     * @returns {*}
     * @memberof Incident
     */
    prioritycode?: any;

    /**
     * EntityImage
     *
     * @returns {*}
     * @memberof Incident
     */
    entityimage?: any;

    /**
     * CustomerIdYomiName
     *
     * @returns {*}
     * @memberof Incident
     */
    customeridyominame?: any;

    /**
     * OnHoldTime
     *
     * @returns {*}
     * @memberof Incident
     */
    onholdtime?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof Incident
     */
    createman?: any;

    /**
     * KbArticleId
     *
     * @returns {*}
     * @memberof Incident
     */
    kbarticleid?: any;

    /**
     * ContractServiceLevelCode
     *
     * @returns {*}
     * @memberof Incident
     */
    contractservicelevelcode?: any;

    /**
     * ContactIdYomiName
     *
     * @returns {*}
     * @memberof Incident
     */
    contactidyominame?: any;

    /**
     * AccountIdYomiName
     *
     * @returns {*}
     * @memberof Incident
     */
    accountidyominame?: any;

    /**
     * EntityImage_URL
     *
     * @returns {*}
     * @memberof Incident
     */
    entityimage_url?: any;

    /**
     * CustomerContacted
     *
     * @returns {*}
     * @memberof Incident
     */
    customercontacted?: any;

    /**
     * ProcessId
     *
     * @returns {*}
     * @memberof Incident
     */
    processid?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof Incident
     */
    timezoneruleversionnumber?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof Incident
     */
    createdate?: any;

    /**
     * Decrementing
     *
     * @returns {*}
     * @memberof Incident
     */
    decrementing?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof Incident
     */
    updateman?: any;

    /**
     * StatusCode
     *
     * @returns {*}
     * @memberof Incident
     */
    statuscode?: any;

    /**
     * ResponsibleContactIdYomiName
     *
     * @returns {*}
     * @memberof Incident
     */
    responsiblecontactidyominame?: any;

    /**
     * ResolveBy
     *
     * @returns {*}
     * @memberof Incident
     */
    resolveby?: any;

    /**
     * ResponseBy
     *
     * @returns {*}
     * @memberof Incident
     */
    responseby?: any;

    /**
     * PrimaryContactIdYomiName
     *
     * @returns {*}
     * @memberof Incident
     */
    primarycontactidyominame?: any;

    /**
     * EntityImageId
     *
     * @returns {*}
     * @memberof Incident
     */
    entityimageid?: any;

    /**
     * FollowUpTaskCreated
     *
     * @returns {*}
     * @memberof Incident
     */
    followuptaskcreated?: any;

    /**
     * FirstResponseSent
     *
     * @returns {*}
     * @memberof Incident
     */
    firstresponsesent?: any;

    /**
     * FollowupBy
     *
     * @returns {*}
     * @memberof Incident
     */
    followupby?: any;

    /**
     * IncidentId
     *
     * @returns {*}
     * @memberof Incident
     */
    incidentid?: any;

    /**
     * ServiceStage
     *
     * @returns {*}
     * @memberof Incident
     */
    servicestage?: any;

    /**
     * TraversedPath
     *
     * @returns {*}
     * @memberof Incident
     */
    traversedpath?: any;

    /**
     * OwnerIdYomiName
     *
     * @returns {*}
     * @memberof Incident
     */
    owneridyominame?: any;

    /**
     * NumberOfChildIncidents
     *
     * @returns {*}
     * @memberof Incident
     */
    numberofchildincidents?: any;

    /**
     * SLAName
     *
     * @returns {*}
     * @memberof Incident
     */
    slaname?: any;

    /**
     * BlockedProfile
     *
     * @returns {*}
     * @memberof Incident
     */
    blockedprofile?: any;

    /**
     * OverriddenCreatedOn
     *
     * @returns {*}
     * @memberof Incident
     */
    overriddencreatedon?: any;

    /**
     * ActualServiceUnits
     *
     * @returns {*}
     * @memberof Incident
     */
    actualserviceunits?: any;

    /**
     * MessageTypeCode
     *
     * @returns {*}
     * @memberof Incident
     */
    messagetypecode?: any;

    /**
     * RouteCase
     *
     * @returns {*}
     * @memberof Incident
     */
    routecase?: any;

    /**
     * StateCode
     *
     * @returns {*}
     * @memberof Incident
     */
    statecode?: any;

    /**
     * ImportSequenceNumber
     *
     * @returns {*}
     * @memberof Incident
     */
    importsequencenumber?: any;

    /**
     * ResolveBySLAStatus
     *
     * @returns {*}
     * @memberof Incident
     */
    resolvebyslastatus?: any;

    /**
     * CaseOriginCode
     *
     * @returns {*}
     * @memberof Incident
     */
    caseorigincode?: any;

    /**
     * ActivitiesComplete
     *
     * @returns {*}
     * @memberof Incident
     */
    activitiescomplete?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof Incident
     */
    updatedate?: any;

    /**
     * DecrementEntitlementTerm
     *
     * @returns {*}
     * @memberof Incident
     */
    decremententitlementterm?: any;

    /**
     * CustomerSatisfactionCode
     *
     * @returns {*}
     * @memberof Incident
     */
    customersatisfactioncode?: any;

    /**
     * SentimentValue
     *
     * @returns {*}
     * @memberof Incident
     */
    sentimentvalue?: any;

    /**
     * EntityImage_Timestamp
     *
     * @returns {*}
     * @memberof Incident
     */
    entityimage_timestamp?: any;

    /**
     * Title
     *
     * @returns {*}
     * @memberof Incident
     */
    title?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof Incident
     */
    exchangerate?: any;

    /**
     * EntitlementId
     *
     * @returns {*}
     * @memberof Incident
     */
    entitlementid?: any;

    /**
     * FirstResponseByKPIId
     *
     * @returns {*}
     * @memberof Incident
     */
    firstresponsebykpiid?: any;

    /**
     * SLAId
     *
     * @returns {*}
     * @memberof Incident
     */
    slaid?: any;

    /**
     * ExistingCase
     *
     * @returns {*}
     * @memberof Incident
     */
    existingcase?: any;

    /**
     * ProductId
     *
     * @returns {*}
     * @memberof Incident
     */
    productid?: any;

    /**
     * ContractId
     *
     * @returns {*}
     * @memberof Incident
     */
    contractid?: any;

    /**
     * ResponsibleContactId
     *
     * @returns {*}
     * @memberof Incident
     */
    responsiblecontactid?: any;

    /**
     * ResolveByKPIId
     *
     * @returns {*}
     * @memberof Incident
     */
    resolvebykpiid?: any;

    /**
     * ContractDetailId
     *
     * @returns {*}
     * @memberof Incident
     */
    contractdetailid?: any;

    /**
     * SubjectId
     *
     * @returns {*}
     * @memberof Incident
     */
    subjectid?: any;

    /**
     * MasterId
     *
     * @returns {*}
     * @memberof Incident
     */
    masterid?: any;

    /**
     * ParentCaseId
     *
     * @returns {*}
     * @memberof Incident
     */
    parentcaseid?: any;

    /**
     * PrimaryContactId
     *
     * @returns {*}
     * @memberof Incident
     */
    primarycontactid?: any;

    /**
     * TransactionCurrencyId
     *
     * @returns {*}
     * @memberof Incident
     */
    transactioncurrencyid?: any;
}