/**
 * 发票
 *
 * @export
 * @interface Invoice
 */
export interface Invoice {

    /**
     * BillTo_Line1
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_line1?: any;

    /**
     * BillTo_Telephone
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_telephone?: any;

    /**
     * OwnerIdType
     *
     * @returns {*}
     * @memberof Invoice
     */
    owneridtype?: any;

    /**
     * AccountIdYomiName
     *
     * @returns {*}
     * @memberof Invoice
     */
    accountidyominame?: any;

    /**
     * LastOnHoldTime
     *
     * @returns {*}
     * @memberof Invoice
     */
    lastonholdtime?: any;

    /**
     * BillTo_StateOrProvince
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_stateorprovince?: any;

    /**
     * DueDate
     *
     * @returns {*}
     * @memberof Invoice
     */
    duedate?: any;

    /**
     * PricingErrorCode
     *
     * @returns {*}
     * @memberof Invoice
     */
    pricingerrorcode?: any;

    /**
     * TraversedPath
     *
     * @returns {*}
     * @memberof Invoice
     */
    traversedpath?: any;

    /**
     * TotalDiscountAmount_Base
     *
     * @returns {*}
     * @memberof Invoice
     */
    totaldiscountamount_base?: any;

    /**
     * TotalAmountLessFreight_Base
     *
     * @returns {*}
     * @memberof Invoice
     */
    totalamountlessfreight_base?: any;

    /**
     * ContactIdYomiName
     *
     * @returns {*}
     * @memberof Invoice
     */
    contactidyominame?: any;

    /**
     * CustomerIdYomiName
     *
     * @returns {*}
     * @memberof Invoice
     */
    customeridyominame?: any;

    /**
     * LastBackofficeSubmit
     *
     * @returns {*}
     * @memberof Invoice
     */
    lastbackofficesubmit?: any;

    /**
     * ShipTo_Telephone
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_telephone?: any;

    /**
     * BillTo_City
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_city?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof Invoice
     */
    createman?: any;

    /**
     * ShipTo_Composite
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_composite?: any;

    /**
     * OverriddenCreatedOn
     *
     * @returns {*}
     * @memberof Invoice
     */
    overriddencreatedon?: any;

    /**
     * BillTo_PostalCode
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_postalcode?: any;

    /**
     * FreightAmount_Base
     *
     * @returns {*}
     * @memberof Invoice
     */
    freightamount_base?: any;

    /**
     * invoiceName
     *
     * @returns {*}
     * @memberof Invoice
     */
    invoicename?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof Invoice
     */
    updatedate?: any;

    /**
     * ShipTo_City
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_city?: any;

    /**
     * TotalAmount
     *
     * @returns {*}
     * @memberof Invoice
     */
    totalamount?: any;

    /**
     * CustomerId
     *
     * @returns {*}
     * @memberof Invoice
     */
    customerid?: any;

    /**
     * TotalAmount_Base
     *
     * @returns {*}
     * @memberof Invoice
     */
    totalamount_base?: any;

    /**
     * BillTo_Name
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_name?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof Invoice
     */
    timezoneruleversionnumber?: any;

    /**
     * Description
     *
     * @returns {*}
     * @memberof Invoice
     */
    description?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof Invoice
     */
    utcconversiontimezonecode?: any;

    /**
     * FreightAmount
     *
     * @returns {*}
     * @memberof Invoice
     */
    freightamount?: any;

    /**
     * PriorityCode
     *
     * @returns {*}
     * @memberof Invoice
     */
    prioritycode?: any;

    /**
     * DiscountAmount_Base
     *
     * @returns {*}
     * @memberof Invoice
     */
    discountamount_base?: any;

    /**
     * OnHoldTime
     *
     * @returns {*}
     * @memberof Invoice
     */
    onholdtime?: any;

    /**
     * ShipTo_Country
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_country?: any;

    /**
     * PaymentTermsCode
     *
     * @returns {*}
     * @memberof Invoice
     */
    paymenttermscode?: any;

    /**
     * ShipTo_FreightTermsCode
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_freighttermscode?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof Invoice
     */
    updateman?: any;

    /**
     * ShipTo_Line3
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_line3?: any;

    /**
     * TotalTax
     *
     * @returns {*}
     * @memberof Invoice
     */
    totaltax?: any;

    /**
     * BillTo_Line2
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_line2?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof Invoice
     */
    createdate?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof Invoice
     */
    exchangerate?: any;

    /**
     * ShipTo_Line1
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_line1?: any;

    /**
     * InvoiceId
     *
     * @returns {*}
     * @memberof Invoice
     */
    invoiceid?: any;

    /**
     * DiscountPercentage
     *
     * @returns {*}
     * @memberof Invoice
     */
    discountpercentage?: any;

    /**
     * TotalLineItemAmount_Base
     *
     * @returns {*}
     * @memberof Invoice
     */
    totallineitemamount_base?: any;

    /**
     * StageId
     *
     * @returns {*}
     * @memberof Invoice
     */
    stageid?: any;

    /**
     * EntityImage_URL
     *
     * @returns {*}
     * @memberof Invoice
     */
    entityimage_url?: any;

    /**
     * StateCode
     *
     * @returns {*}
     * @memberof Invoice
     */
    statecode?: any;

    /**
     * TotalAmountLessFreight
     *
     * @returns {*}
     * @memberof Invoice
     */
    totalamountlessfreight?: any;

    /**
     * TotalTax_Base
     *
     * @returns {*}
     * @memberof Invoice
     */
    totaltax_base?: any;

    /**
     * ShipTo_Line2
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_line2?: any;

    /**
     * BillTo_Country
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_country?: any;

    /**
     * EntityImage
     *
     * @returns {*}
     * @memberof Invoice
     */
    entityimage?: any;

    /**
     * ImportSequenceNumber
     *
     * @returns {*}
     * @memberof Invoice
     */
    importsequencenumber?: any;

    /**
     * SLAName
     *
     * @returns {*}
     * @memberof Invoice
     */
    slaname?: any;

    /**
     * CustomerIdType
     *
     * @returns {*}
     * @memberof Invoice
     */
    customeridtype?: any;

    /**
     * ShipTo_Fax
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_fax?: any;

    /**
     * OwnerId
     *
     * @returns {*}
     * @memberof Invoice
     */
    ownerid?: any;

    /**
     * DateDelivered
     *
     * @returns {*}
     * @memberof Invoice
     */
    datedelivered?: any;

    /**
     * OwnerIdYomiName
     *
     * @returns {*}
     * @memberof Invoice
     */
    owneridyominame?: any;

    /**
     * EntityImage_Timestamp
     *
     * @returns {*}
     * @memberof Invoice
     */
    entityimage_timestamp?: any;

    /**
     * ProcessId
     *
     * @returns {*}
     * @memberof Invoice
     */
    processid?: any;

    /**
     * TotalDiscountAmount
     *
     * @returns {*}
     * @memberof Invoice
     */
    totaldiscountamount?: any;

    /**
     * PriceLocked
     *
     * @returns {*}
     * @memberof Invoice
     */
    pricelocked?: any;

    /**
     * WillCall
     *
     * @returns {*}
     * @memberof Invoice
     */
    willcall?: any;

    /**
     * BillTo_Line3
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_line3?: any;

    /**
     * ShipTo_Name
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_name?: any;

    /**
     * StatusCode
     *
     * @returns {*}
     * @memberof Invoice
     */
    statuscode?: any;

    /**
     * TotalLineItemAmount
     *
     * @returns {*}
     * @memberof Invoice
     */
    totallineitemamount?: any;

    /**
     * DiscountAmount
     *
     * @returns {*}
     * @memberof Invoice
     */
    discountamount?: any;

    /**
     * ShipTo_StateOrProvince
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_stateorprovince?: any;

    /**
     * EntityImageId
     *
     * @returns {*}
     * @memberof Invoice
     */
    entityimageid?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof Invoice
     */
    versionnumber?: any;

    /**
     * ShipTo_PostalCode
     *
     * @returns {*}
     * @memberof Invoice
     */
    shipto_postalcode?: any;

    /**
     * InvoiceNumber
     *
     * @returns {*}
     * @memberof Invoice
     */
    invoicenumber?: any;

    /**
     * BillTo_Composite
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_composite?: any;

    /**
     * EmailAddress
     *
     * @returns {*}
     * @memberof Invoice
     */
    emailaddress?: any;

    /**
     * ShippingMethodCode
     *
     * @returns {*}
     * @memberof Invoice
     */
    shippingmethodcode?: any;

    /**
     * TotalLineItemDiscountAmount
     *
     * @returns {*}
     * @memberof Invoice
     */
    totallineitemdiscountamount?: any;

    /**
     * BillTo_Fax
     *
     * @returns {*}
     * @memberof Invoice
     */
    billto_fax?: any;

    /**
     * TransactionCurrencyId
     *
     * @returns {*}
     * @memberof Invoice
     */
    transactioncurrencyid?: any;

    /**
     * PriceLevelId
     *
     * @returns {*}
     * @memberof Invoice
     */
    pricelevelid?: any;

    /**
     * SalesOrderId
     *
     * @returns {*}
     * @memberof Invoice
     */
    salesorderid?: any;

    /**
     * OpportunityId
     *
     * @returns {*}
     * @memberof Invoice
     */
    opportunityid?: any;

    /**
     * SLAId
     *
     * @returns {*}
     * @memberof Invoice
     */
    slaid?: any;
}