/**
 * 潜在客户
 *
 * @export
 * @interface Lead
 */
export interface Lead {

    /**
     * Address1_Fax
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_fax?: any;

    /**
     * Address2_UTCOffset
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_utcoffset?: any;

    /**
     * SLAName
     *
     * @returns {*}
     * @memberof Lead
     */
    slaname?: any;

    /**
     * JobTitle
     *
     * @returns {*}
     * @memberof Lead
     */
    jobtitle?: any;

    /**
     * Address2_Country
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_country?: any;

    /**
     * BudgetAmount
     *
     * @returns {*}
     * @memberof Lead
     */
    budgetamount?: any;

    /**
     * Address2_Fax
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_fax?: any;

    /**
     * OnHoldTime
     *
     * @returns {*}
     * @memberof Lead
     */
    onholdtime?: any;

    /**
     * LastName
     *
     * @returns {*}
     * @memberof Lead
     */
    lastname?: any;

    /**
     * Address1_Telephone2
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_telephone2?: any;

    /**
     * Address1_StateOrProvince
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_stateorprovince?: any;

    /**
     * MasterLeadIdYomiName
     *
     * @returns {*}
     * @memberof Lead
     */
    masterleadidyominame?: any;

    /**
     * EstimatedValue
     *
     * @returns {*}
     * @memberof Lead
     */
    estimatedvalue?: any;

    /**
     * LeadId
     *
     * @returns {*}
     * @memberof Lead
     */
    leadid?: any;

    /**
     * Address1_Longitude
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_longitude?: any;

    /**
     * Address1_Line1
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_line1?: any;

    /**
     * LeadQualityCode
     *
     * @returns {*}
     * @memberof Lead
     */
    leadqualitycode?: any;

    /**
     * DoNotPhone
     *
     * @returns {*}
     * @memberof Lead
     */
    donotphone?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof Lead
     */
    exchangerate?: any;

    /**
     * EntityImage_URL
     *
     * @returns {*}
     * @memberof Lead
     */
    entityimage_url?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof Lead
     */
    createman?: any;

    /**
     * ParentContactIdYomiName
     *
     * @returns {*}
     * @memberof Lead
     */
    parentcontactidyominame?: any;

    /**
     * Address2_StateOrProvince
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_stateorprovince?: any;

    /**
     * Description
     *
     * @returns {*}
     * @memberof Lead
     */
    description?: any;

    /**
     * NumberOfEmployees
     *
     * @returns {*}
     * @memberof Lead
     */
    numberofemployees?: any;

    /**
     * Address1_City
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_city?: any;

    /**
     * EntityImageId
     *
     * @returns {*}
     * @memberof Lead
     */
    entityimageid?: any;

    /**
     * Address2_Line3
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_line3?: any;

    /**
     * StatusCode
     *
     * @returns {*}
     * @memberof Lead
     */
    statuscode?: any;

    /**
     * Address2_Line1
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_line1?: any;

    /**
     * CustomerId
     *
     * @returns {*}
     * @memberof Lead
     */
    customerid?: any;

    /**
     * CompanyName
     *
     * @returns {*}
     * @memberof Lead
     */
    companyname?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof Lead
     */
    versionnumber?: any;

    /**
     * QualificationComments
     *
     * @returns {*}
     * @memberof Lead
     */
    qualificationcomments?: any;

    /**
     * OwnerIdType
     *
     * @returns {*}
     * @memberof Lead
     */
    owneridtype?: any;

    /**
     * ContactIdYomiName
     *
     * @returns {*}
     * @memberof Lead
     */
    contactidyominame?: any;

    /**
     * Address2_Name
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_name?: any;

    /**
     * EMailAddress1
     *
     * @returns {*}
     * @memberof Lead
     */
    emailaddress1?: any;

    /**
     * FollowEmail
     *
     * @returns {*}
     * @memberof Lead
     */
    followemail?: any;

    /**
     * Address1_Country
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_country?: any;

    /**
     * WebSiteUrl
     *
     * @returns {*}
     * @memberof Lead
     */
    websiteurl?: any;

    /**
     * YomiCompanyName
     *
     * @returns {*}
     * @memberof Lead
     */
    yomicompanyname?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof Lead
     */
    updatedate?: any;

    /**
     * Address1_Line3
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_line3?: any;

    /**
     * Address2_AddressId
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_addressid?: any;

    /**
     * Address1_Composite
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_composite?: any;

    /**
     * Subject
     *
     * @returns {*}
     * @memberof Lead
     */
    subject?: any;

    /**
     * Address1_UTCOffset
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_utcoffset?: any;

    /**
     * BudgetAmount_Base
     *
     * @returns {*}
     * @memberof Lead
     */
    budgetamount_base?: any;

    /**
     * Address1_AddressTypeCode
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_addresstypecode?: any;

    /**
     * Address2_Telephone3
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_telephone3?: any;

    /**
     * EvaluateFit
     *
     * @returns {*}
     * @memberof Lead
     */
    evaluatefit?: any;

    /**
     * Address1_Latitude
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_latitude?: any;

    /**
     * Address1_Telephone3
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_telephone3?: any;

    /**
     * FullName
     *
     * @returns {*}
     * @memberof Lead
     */
    fullname?: any;

    /**
     * EstimatedAmount_Base
     *
     * @returns {*}
     * @memberof Lead
     */
    estimatedamount_base?: any;

    /**
     * BudgetStatus
     *
     * @returns {*}
     * @memberof Lead
     */
    budgetstatus?: any;

    /**
     * IndustryCode
     *
     * @returns {*}
     * @memberof Lead
     */
    industrycode?: any;

    /**
     * Address1_Line2
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_line2?: any;

    /**
     * InitialCommunication
     *
     * @returns {*}
     * @memberof Lead
     */
    initialcommunication?: any;

    /**
     * Address1_PostOfficeBox
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_postofficebox?: any;

    /**
     * Address1_Telephone1
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_telephone1?: any;

    /**
     * Revenue
     *
     * @returns {*}
     * @memberof Lead
     */
    revenue?: any;

    /**
     * YomiLastName
     *
     * @returns {*}
     * @memberof Lead
     */
    yomilastname?: any;

    /**
     * Address2_County
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_county?: any;

    /**
     * StageId
     *
     * @returns {*}
     * @memberof Lead
     */
    stageid?: any;

    /**
     * ParentAccountIdYomiName
     *
     * @returns {*}
     * @memberof Lead
     */
    parentaccountidyominame?: any;

    /**
     * Address1_ShippingMethodCode
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_shippingmethodcode?: any;

    /**
     * EstimatedAmount
     *
     * @returns {*}
     * @memberof Lead
     */
    estimatedamount?: any;

    /**
     * Address1_County
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_county?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof Lead
     */
    utcconversiontimezonecode?: any;

    /**
     * LastOnHoldTime
     *
     * @returns {*}
     * @memberof Lead
     */
    lastonholdtime?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof Lead
     */
    createdate?: any;

    /**
     * TeamsFollowed
     *
     * @returns {*}
     * @memberof Lead
     */
    teamsfollowed?: any;

    /**
     * Salutation
     *
     * @returns {*}
     * @memberof Lead
     */
    salutation?: any;

    /**
     * Address2_ShippingMethodCode
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_shippingmethodcode?: any;

    /**
     * Address2_Latitude
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_latitude?: any;

    /**
     * ParticipatesInWorkflow
     *
     * @returns {*}
     * @memberof Lead
     */
    participatesinworkflow?: any;

    /**
     * YomiFirstName
     *
     * @returns {*}
     * @memberof Lead
     */
    yomifirstname?: any;

    /**
     * Address2_Composite
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_composite?: any;

    /**
     * SalesStage
     *
     * @returns {*}
     * @memberof Lead
     */
    salesstage?: any;

    /**
     * DoNotPostalMail
     *
     * @returns {*}
     * @memberof Lead
     */
    donotpostalmail?: any;

    /**
     * CustomerIdYomiName
     *
     * @returns {*}
     * @memberof Lead
     */
    customeridyominame?: any;

    /**
     * AccountIdYomiName
     *
     * @returns {*}
     * @memberof Lead
     */
    accountidyominame?: any;

    /**
     * Revenue_Base
     *
     * @returns {*}
     * @memberof Lead
     */
    revenue_base?: any;

    /**
     * OverriddenCreatedOn
     *
     * @returns {*}
     * @memberof Lead
     */
    overriddencreatedon?: any;

    /**
     * ScheduleFollowUp_Prospect
     *
     * @returns {*}
     * @memberof Lead
     */
    schedulefollowup_prospect?: any;

    /**
     * Address2_City
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_city?: any;

    /**
     * Telephone1
     *
     * @returns {*}
     * @memberof Lead
     */
    telephone1?: any;

    /**
     * Private
     *
     * @returns {*}
     * @memberof Lead
     */
    ibizprivate?: any;

    /**
     * CustomerIdType
     *
     * @returns {*}
     * @memberof Lead
     */
    customeridtype?: any;

    /**
     * MobilePhone
     *
     * @returns {*}
     * @memberof Lead
     */
    mobilephone?: any;

    /**
     * Need
     *
     * @returns {*}
     * @memberof Lead
     */
    need?: any;

    /**
     * PriorityCode
     *
     * @returns {*}
     * @memberof Lead
     */
    prioritycode?: any;

    /**
     * Address1_AddressId
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_addressid?: any;

    /**
     * YomiFullName
     *
     * @returns {*}
     * @memberof Lead
     */
    yomifullname?: any;

    /**
     * SalesStageCode
     *
     * @returns {*}
     * @memberof Lead
     */
    salesstagecode?: any;

    /**
     * ImportSequenceNumber
     *
     * @returns {*}
     * @memberof Lead
     */
    importsequencenumber?: any;

    /**
     * Address2_Telephone1
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_telephone1?: any;

    /**
     * OwnerId
     *
     * @returns {*}
     * @memberof Lead
     */
    ownerid?: any;

    /**
     * MiddleName
     *
     * @returns {*}
     * @memberof Lead
     */
    middlename?: any;

    /**
     * Telephone2
     *
     * @returns {*}
     * @memberof Lead
     */
    telephone2?: any;

    /**
     * PurchaseTimeFrame
     *
     * @returns {*}
     * @memberof Lead
     */
    purchasetimeframe?: any;

    /**
     * YomiMiddleName
     *
     * @returns {*}
     * @memberof Lead
     */
    yomimiddlename?: any;

    /**
     * LeadSourceCode
     *
     * @returns {*}
     * @memberof Lead
     */
    leadsourcecode?: any;

    /**
     * EntityImage_Timestamp
     *
     * @returns {*}
     * @memberof Lead
     */
    entityimage_timestamp?: any;

    /**
     * PreferredContactMethodCode
     *
     * @returns {*}
     * @memberof Lead
     */
    preferredcontactmethodcode?: any;

    /**
     * EntityImage
     *
     * @returns {*}
     * @memberof Lead
     */
    entityimage?: any;

    /**
     * Address2_Telephone2
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_telephone2?: any;

    /**
     * DoNotSendMM
     *
     * @returns {*}
     * @memberof Lead
     */
    donotsendmm?: any;

    /**
     * PurchaseProcess
     *
     * @returns {*}
     * @memberof Lead
     */
    purchaseprocess?: any;

    /**
     * DoNotBulkEMail
     *
     * @returns {*}
     * @memberof Lead
     */
    donotbulkemail?: any;

    /**
     * SIC
     *
     * @returns {*}
     * @memberof Lead
     */
    sic?: any;

    /**
     * DoNotEMail
     *
     * @returns {*}
     * @memberof Lead
     */
    donotemail?: any;

    /**
     * Address2_Longitude
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_longitude?: any;

    /**
     * ConfirmInterest
     *
     * @returns {*}
     * @memberof Lead
     */
    confirminterest?: any;

    /**
     * Address2_PostOfficeBox
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_postofficebox?: any;

    /**
     * StateCode
     *
     * @returns {*}
     * @memberof Lead
     */
    statecode?: any;

    /**
     * AutoCreate
     *
     * @returns {*}
     * @memberof Lead
     */
    autocreate?: any;

    /**
     * Address1_Name
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_name?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof Lead
     */
    timezoneruleversionnumber?: any;

    /**
     * LastUsedInCampaign
     *
     * @returns {*}
     * @memberof Lead
     */
    lastusedincampaign?: any;

    /**
     * EstimatedCloseDate
     *
     * @returns {*}
     * @memberof Lead
     */
    estimatedclosedate?: any;

    /**
     * Address2_Line2
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_line2?: any;

    /**
     * EMailAddress3
     *
     * @returns {*}
     * @memberof Lead
     */
    emailaddress3?: any;

    /**
     * Pager
     *
     * @returns {*}
     * @memberof Lead
     */
    pager?: any;

    /**
     * Address2_UPSZone
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_upszone?: any;

    /**
     * TraversedPath
     *
     * @returns {*}
     * @memberof Lead
     */
    traversedpath?: any;

    /**
     * Fax
     *
     * @returns {*}
     * @memberof Lead
     */
    fax?: any;

    /**
     * ScheduleFollowUp_Qualify
     *
     * @returns {*}
     * @memberof Lead
     */
    schedulefollowup_qualify?: any;

    /**
     * Telephone3
     *
     * @returns {*}
     * @memberof Lead
     */
    telephone3?: any;

    /**
     * ProcessId
     *
     * @returns {*}
     * @memberof Lead
     */
    processid?: any;

    /**
     * EMailAddress2
     *
     * @returns {*}
     * @memberof Lead
     */
    emailaddress2?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof Lead
     */
    updateman?: any;

    /**
     * DecisionMaker
     *
     * @returns {*}
     * @memberof Lead
     */
    decisionmaker?: any;

    /**
     * OwnerIdYomiName
     *
     * @returns {*}
     * @memberof Lead
     */
    owneridyominame?: any;

    /**
     * Address1_PostalCode
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_postalcode?: any;

    /**
     * Address2_PostalCode
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_postalcode?: any;

    /**
     * DoNotFax
     *
     * @returns {*}
     * @memberof Lead
     */
    donotfax?: any;

    /**
     * FirstName
     *
     * @returns {*}
     * @memberof Lead
     */
    firstname?: any;

    /**
     * Merged
     *
     * @returns {*}
     * @memberof Lead
     */
    merged?: any;

    /**
     * Address2_AddressTypeCode
     *
     * @returns {*}
     * @memberof Lead
     */
    address2_addresstypecode?: any;

    /**
     * Address1_UPSZone
     *
     * @returns {*}
     * @memberof Lead
     */
    address1_upszone?: any;

    /**
     * QualifyingOpportunityId
     *
     * @returns {*}
     * @memberof Lead
     */
    qualifyingopportunityid?: any;

    /**
     * SLAId
     *
     * @returns {*}
     * @memberof Lead
     */
    slaid?: any;

    /**
     * CampaignId
     *
     * @returns {*}
     * @memberof Lead
     */
    campaignid?: any;

    /**
     * RelatedObjectId
     *
     * @returns {*}
     * @memberof Lead
     */
    relatedobjectid?: any;

    /**
     * TransactionCurrencyId
     *
     * @returns {*}
     * @memberof Lead
     */
    transactioncurrencyid?: any;

    /**
     * ParentAccountId
     *
     * @returns {*}
     * @memberof Lead
     */
    parentaccountid?: any;

    /**
     * OriginatingCaseId
     *
     * @returns {*}
     * @memberof Lead
     */
    originatingcaseid?: any;

    /**
     * ParentContactId
     *
     * @returns {*}
     * @memberof Lead
     */
    parentcontactid?: any;
}