/**
 * product
 *
 * @export
 * @interface Product
 */
export interface Product {

    /**
     * VendorID
     *
     * @returns {*}
     * @memberof Product
     */
    vendorid?: any;

    /**
     * ProductStructure
     *
     * @returns {*}
     * @memberof Product
     */
    productstructure?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof Product
     */
    versionnumber?: any;

    /**
     * StageId
     *
     * @returns {*}
     * @memberof Product
     */
    stageid?: any;

    /**
     * StatusCode
     *
     * @returns {*}
     * @memberof Product
     */
    statuscode?: any;

    /**
     * EntityImage
     *
     * @returns {*}
     * @memberof Product
     */
    entityimage?: any;

    /**
     * OverriddenCreatedOn
     *
     * @returns {*}
     * @memberof Product
     */
    overriddencreatedon?: any;

    /**
     * StockItem
     *
     * @returns {*}
     * @memberof Product
     */
    stockitem?: any;

    /**
     * ImportSequenceNumber
     *
     * @returns {*}
     * @memberof Product
     */
    importsequencenumber?: any;

    /**
     * ValidFromDate
     *
     * @returns {*}
     * @memberof Product
     */
    validfromdate?: any;

    /**
     * SupplierName
     *
     * @returns {*}
     * @memberof Product
     */
    suppliername?: any;

    /**
     * ProductTypeCode
     *
     * @returns {*}
     * @memberof Product
     */
    producttypecode?: any;

    /**
     * EntityImageId
     *
     * @returns {*}
     * @memberof Product
     */
    entityimageid?: any;

    /**
     * EntityImage_Timestamp
     *
     * @returns {*}
     * @memberof Product
     */
    entityimage_timestamp?: any;

    /**
     * ProductUrl
     *
     * @returns {*}
     * @memberof Product
     */
    producturl?: any;

    /**
     * StandardCost
     *
     * @returns {*}
     * @memberof Product
     */
    standardcost?: any;

    /**
     * QuantityOnHand
     *
     * @returns {*}
     * @memberof Product
     */
    quantityonhand?: any;

    /**
     * CurrentCost
     *
     * @returns {*}
     * @memberof Product
     */
    currentcost?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof Product
     */
    exchangerate?: any;

    /**
     * ProductId
     *
     * @returns {*}
     * @memberof Product
     */
    productid?: any;

    /**
     * Description
     *
     * @returns {*}
     * @memberof Product
     */
    description?: any;

    /**
     * VendorName
     *
     * @returns {*}
     * @memberof Product
     */
    vendorname?: any;

    /**
     * DMTImportState
     *
     * @returns {*}
     * @memberof Product
     */
    dmtimportstate?: any;

    /**
     * EntityImage_URL
     *
     * @returns {*}
     * @memberof Product
     */
    entityimage_url?: any;

    /**
     * StockVolume
     *
     * @returns {*}
     * @memberof Product
     */
    stockvolume?: any;

    /**
     * QuantityDecimal
     *
     * @returns {*}
     * @memberof Product
     */
    quantitydecimal?: any;

    /**
     * VendorPartNumber
     *
     * @returns {*}
     * @memberof Product
     */
    vendorpartnumber?: any;

    /**
     * ValidToDate
     *
     * @returns {*}
     * @memberof Product
     */
    validtodate?: any;

    /**
     * Reparented
     *
     * @returns {*}
     * @memberof Product
     */
    reparented?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof Product
     */
    createman?: any;

    /**
     * ProcessId
     *
     * @returns {*}
     * @memberof Product
     */
    processid?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof Product
     */
    createdate?: any;

    /**
     * ProductNumber
     *
     * @returns {*}
     * @memberof Product
     */
    productnumber?: any;

    /**
     * Kit
     *
     * @returns {*}
     * @memberof Product
     */
    kit?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof Product
     */
    updatedate?: any;

    /**
     * CurrentCost_Base
     *
     * @returns {*}
     * @memberof Product
     */
    currentcost_base?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof Product
     */
    updateman?: any;

    /**
     * StockWeight
     *
     * @returns {*}
     * @memberof Product
     */
    stockweight?: any;

    /**
     * Size
     *
     * @returns {*}
     * @memberof Product
     */
    size?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof Product
     */
    timezoneruleversionnumber?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof Product
     */
    utcconversiontimezonecode?: any;

    /**
     * productName
     *
     * @returns {*}
     * @memberof Product
     */
    productname?: any;

    /**
     * Price_Base
     *
     * @returns {*}
     * @memberof Product
     */
    price_base?: any;

    /**
     * Price
     *
     * @returns {*}
     * @memberof Product
     */
    price?: any;

    /**
     * TraversedPath
     *
     * @returns {*}
     * @memberof Product
     */
    traversedpath?: any;

    /**
     * HierarchyPath
     *
     * @returns {*}
     * @memberof Product
     */
    hierarchypath?: any;

    /**
     * StandardCost_Base
     *
     * @returns {*}
     * @memberof Product
     */
    standardcost_base?: any;

    /**
     * StateCode
     *
     * @returns {*}
     * @memberof Product
     */
    statecode?: any;

    /**
     * ParentProductId
     *
     * @returns {*}
     * @memberof Product
     */
    parentproductid?: any;

    /**
     * TransactionCurrencyId
     *
     * @returns {*}
     * @memberof Product
     */
    transactioncurrencyid?: any;

    /**
     * PriceLevelId
     *
     * @returns {*}
     * @memberof Product
     */
    pricelevelid?: any;

    /**
     * DefaultUoMId
     *
     * @returns {*}
     * @memberof Product
     */
    defaultuomid?: any;

    /**
     * DefaultUoMScheduleId
     *
     * @returns {*}
     * @memberof Product
     */
    defaultuomscheduleid?: any;

    /**
     * SubjectId
     *
     * @returns {*}
     * @memberof Product
     */
    subjectid?: any;
}