/**
 * 报价
 *
 * @export
 * @interface Quote
 */
export interface Quote {

    /**
     * BillTo_Country
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_country?: any;

    /**
     * OnHoldTime
     *
     * @returns {*}
     * @memberof Quote
     */
    onholdtime?: any;

    /**
     * WillCall
     *
     * @returns {*}
     * @memberof Quote
     */
    willcall?: any;

    /**
     * ShipTo_Line1
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_line1?: any;

    /**
     * FreightTermsCode
     *
     * @returns {*}
     * @memberof Quote
     */
    freighttermscode?: any;

    /**
     * StateCode
     *
     * @returns {*}
     * @memberof Quote
     */
    statecode?: any;

    /**
     * EffectiveFrom
     *
     * @returns {*}
     * @memberof Quote
     */
    effectivefrom?: any;

    /**
     * TotalAmountLessFreight_Base
     *
     * @returns {*}
     * @memberof Quote
     */
    totalamountlessfreight_base?: any;

    /**
     * quoteName
     *
     * @returns {*}
     * @memberof Quote
     */
    quotename?: any;

    /**
     * TotalDiscountAmount_Base
     *
     * @returns {*}
     * @memberof Quote
     */
    totaldiscountamount_base?: any;

    /**
     * ShipTo_PostalCode
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_postalcode?: any;

    /**
     * TotalAmount
     *
     * @returns {*}
     * @memberof Quote
     */
    totalamount?: any;

    /**
     * BillTo_AddressId
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_addressid?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof Quote
     */
    updateman?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof Quote
     */
    createman?: any;

    /**
     * TotalAmount_Base
     *
     * @returns {*}
     * @memberof Quote
     */
    totalamount_base?: any;

    /**
     * ShipTo_Line2
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_line2?: any;

    /**
     * TotalLineItemDiscountAmount
     *
     * @returns {*}
     * @memberof Quote
     */
    totallineitemdiscountamount?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof Quote
     */
    timezoneruleversionnumber?: any;

    /**
     * TotalLineItemAmount_Base
     *
     * @returns {*}
     * @memberof Quote
     */
    totallineitemamount_base?: any;

    /**
     * ShipTo_ContactName
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_contactname?: any;

    /**
     * OverriddenCreatedOn
     *
     * @returns {*}
     * @memberof Quote
     */
    overriddencreatedon?: any;

    /**
     * ShipTo_AddressId
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_addressid?: any;

    /**
     * ShipTo_Name
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_name?: any;

    /**
     * StatusCode
     *
     * @returns {*}
     * @memberof Quote
     */
    statuscode?: any;

    /**
     * QuoteNumber
     *
     * @returns {*}
     * @memberof Quote
     */
    quotenumber?: any;

    /**
     * BillTo_Telephone
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_telephone?: any;

    /**
     * ClosedOn
     *
     * @returns {*}
     * @memberof Quote
     */
    closedon?: any;

    /**
     * FreightAmount_Base
     *
     * @returns {*}
     * @memberof Quote
     */
    freightamount_base?: any;

    /**
     * ShipTo_Line3
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_line3?: any;

    /**
     * ShippingMethodCode
     *
     * @returns {*}
     * @memberof Quote
     */
    shippingmethodcode?: any;

    /**
     * CustomerIdType
     *
     * @returns {*}
     * @memberof Quote
     */
    customeridtype?: any;

    /**
     * CustomerId
     *
     * @returns {*}
     * @memberof Quote
     */
    customerid?: any;

    /**
     * EffectiveTo
     *
     * @returns {*}
     * @memberof Quote
     */
    effectiveto?: any;

    /**
     * ShipTo_FreightTermsCode
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_freighttermscode?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof Quote
     */
    updatedate?: any;

    /**
     * TotalLineItemAmount
     *
     * @returns {*}
     * @memberof Quote
     */
    totallineitemamount?: any;

    /**
     * ShipTo_Fax
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_fax?: any;

    /**
     * OwnerId
     *
     * @returns {*}
     * @memberof Quote
     */
    ownerid?: any;

    /**
     * EmailAddress
     *
     * @returns {*}
     * @memberof Quote
     */
    emailaddress?: any;

    /**
     * ImportSequenceNumber
     *
     * @returns {*}
     * @memberof Quote
     */
    importsequencenumber?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof Quote
     */
    utcconversiontimezonecode?: any;

    /**
     * PricingErrorCode
     *
     * @returns {*}
     * @memberof Quote
     */
    pricingerrorcode?: any;

    /**
     * UniqueDscId
     *
     * @returns {*}
     * @memberof Quote
     */
    uniquedscid?: any;

    /**
     * ContactIdYomiName
     *
     * @returns {*}
     * @memberof Quote
     */
    contactidyominame?: any;

    /**
     * BillTo_Line3
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_line3?: any;

    /**
     * Description
     *
     * @returns {*}
     * @memberof Quote
     */
    description?: any;

    /**
     * AccountIdYomiName
     *
     * @returns {*}
     * @memberof Quote
     */
    accountidyominame?: any;

    /**
     * BillTo_Composite
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_composite?: any;

    /**
     * RequestDeliveryBy
     *
     * @returns {*}
     * @memberof Quote
     */
    requestdeliveryby?: any;

    /**
     * TotalTax
     *
     * @returns {*}
     * @memberof Quote
     */
    totaltax?: any;

    /**
     * QuoteId
     *
     * @returns {*}
     * @memberof Quote
     */
    quoteid?: any;

    /**
     * ProcessId
     *
     * @returns {*}
     * @memberof Quote
     */
    processid?: any;

    /**
     * StageId
     *
     * @returns {*}
     * @memberof Quote
     */
    stageid?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof Quote
     */
    createdate?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof Quote
     */
    exchangerate?: any;

    /**
     * OwnerIdYomiName
     *
     * @returns {*}
     * @memberof Quote
     */
    owneridyominame?: any;

    /**
     * OwnerIdType
     *
     * @returns {*}
     * @memberof Quote
     */
    owneridtype?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof Quote
     */
    versionnumber?: any;

    /**
     * ShipTo_Country
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_country?: any;

    /**
     * ExpiresOn
     *
     * @returns {*}
     * @memberof Quote
     */
    expireson?: any;

    /**
     * BillTo_PostalCode
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_postalcode?: any;

    /**
     * BillTo_Line2
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_line2?: any;

    /**
     * BillTo_Name
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_name?: any;

    /**
     * SLAName
     *
     * @returns {*}
     * @memberof Quote
     */
    slaname?: any;

    /**
     * BillTo_Line1
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_line1?: any;

    /**
     * RevisionNumber
     *
     * @returns {*}
     * @memberof Quote
     */
    revisionnumber?: any;

    /**
     * BillTo_ContactName
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_contactname?: any;

    /**
     * ShipTo_StateOrProvince
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_stateorprovince?: any;

    /**
     * BillTo_City
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_city?: any;

    /**
     * LastOnHoldTime
     *
     * @returns {*}
     * @memberof Quote
     */
    lastonholdtime?: any;

    /**
     * DiscountPercentage
     *
     * @returns {*}
     * @memberof Quote
     */
    discountpercentage?: any;

    /**
     * ShipTo_City
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_city?: any;

    /**
     * DiscountAmount
     *
     * @returns {*}
     * @memberof Quote
     */
    discountamount?: any;

    /**
     * ShipTo_Composite
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_composite?: any;

    /**
     * ShipTo_Telephone
     *
     * @returns {*}
     * @memberof Quote
     */
    shipto_telephone?: any;

    /**
     * BillTo_StateOrProvince
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_stateorprovince?: any;

    /**
     * PaymentTermsCode
     *
     * @returns {*}
     * @memberof Quote
     */
    paymenttermscode?: any;

    /**
     * TotalAmountLessFreight
     *
     * @returns {*}
     * @memberof Quote
     */
    totalamountlessfreight?: any;

    /**
     * TraversedPath
     *
     * @returns {*}
     * @memberof Quote
     */
    traversedpath?: any;

    /**
     * CustomerIdYomiName
     *
     * @returns {*}
     * @memberof Quote
     */
    customeridyominame?: any;

    /**
     * BillTo_Fax
     *
     * @returns {*}
     * @memberof Quote
     */
    billto_fax?: any;

    /**
     * TotalDiscountAmount
     *
     * @returns {*}
     * @memberof Quote
     */
    totaldiscountamount?: any;

    /**
     * TotalTax_Base
     *
     * @returns {*}
     * @memberof Quote
     */
    totaltax_base?: any;

    /**
     * DiscountAmount_Base
     *
     * @returns {*}
     * @memberof Quote
     */
    discountamount_base?: any;

    /**
     * FreightAmount
     *
     * @returns {*}
     * @memberof Quote
     */
    freightamount?: any;

    /**
     * PriceLevelId
     *
     * @returns {*}
     * @memberof Quote
     */
    pricelevelid?: any;

    /**
     * SLAId
     *
     * @returns {*}
     * @memberof Quote
     */
    slaid?: any;

    /**
     * TransactionCurrencyId
     *
     * @returns {*}
     * @memberof Quote
     */
    transactioncurrencyid?: any;

    /**
     * OpportunityId
     *
     * @returns {*}
     * @memberof Quote
     */
    opportunityid?: any;

    /**
     * CampaignId
     *
     * @returns {*}
     * @memberof Quote
     */
    campaignid?: any;
}