export default {
  fields: {
    seriesid: 'SeriesId',
    traversedpath: 'TraversedPath',
    deliveryprioritycode: 'DeliveryPriorityCode',
    onholdtime: 'OnHoldTime',
    workflowcreated: 'WorkflowCreated',
    senton: 'SentOn',
    lastonholdtime: 'LastOnHoldTime',
    actualdurationminutes: 'ActualDurationMinutes',
    regardingobjectid: 'RegardingObjectId',
    deliverylastattemptedon: 'DeliveryLastAttemptedOn',
    mapiprivate: 'MapiPrivate',
    actualend: 'ActualEnd',
    description: 'Description',
    prioritycode: 'PriorityCode',
    owneridtype: 'OwnerIdType',
    billed: 'Billed',
    regularactivity: 'RegularActivity',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    createman: 'CreateMan',
    scheduleddurationminutes: 'ScheduledDurationMinutes',
    activityadditionalparams: 'ActivityAdditionalParams',
    activityid: 'ActivityId',
    updatedate: 'UpdateDate',
    stageid: 'StageId',
    leftvoicemail: 'LeftVoiceMail',
    scheduledend: 'ScheduledEnd',
    exchangeitemid: 'ExchangeItemId',
    exchangerate: 'ExchangeRate',
    scheduledstart: 'ScheduledStart',
    instancetypecode: 'InstanceTypeCode',
    regardingobjectidyominame: 'RegardingObjectIdYomiName',
    regardingobjecttypecode: 'RegardingObjectTypeCode',
    sortdate: 'SortDate',
    createdate: 'CreateDate',
    owneridyominame: 'OwnerIdYomiName',
    community: 'Community',
    ownerid: 'OwnerId',
    processid: 'ProcessId',
    slaname: 'SLAName',
    subject: 'Subject',
    versionnumber: 'VersionNumber',
    allparties: 'allparties',
    updateman: 'UpdateMan',
    exchangeweblink: 'ExchangeWebLink',
    statuscode: 'StatusCode',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    actualstart: 'ActualStart',
    activitytypecode: 'ActivityTypeCode',
    regardingobjectidname: 'RegardingObjectIdName',
    statecode: 'StateCode',
    serviceid: 'ServiceId',
    transactioncurrencyid: 'TransactionCurrencyId',
    slaid: 'SLAId',
  },
	views: {
		gridview: {
			caption: '活动打印机',
      title: '活动打印机',
		},
		editview: {
			caption: '活动打印机',
      title: '活动打印机',
		},
	},
	main_form: {
		details: {
			group1: 'activitypointer基本信息', 
			formpage1: '基本信息', 
			group2: '操作信息', 
			formpage2: '其它', 
			srfupdatedate: 'UpdateDate', 
			srforikey: '', 
			srfkey: 'ActivityId', 
			srfmajortext: 'Subject', 
			srftempmode: '', 
			srfuf: '', 
			srfdeid: '', 
			srfsourcekey: '', 
			subject: 'Subject', 
			createman: 'CreateMan', 
			createdate: 'CreateDate', 
			updateman: 'UpdateMan', 
			updatedate: 'UpdateDate', 
			activityid: 'ActivityId', 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			subject: 'Subject',
			updateman: 'UpdateMan',
			updatedate: 'UpdateDate',
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: '常规条件', 
		},
		uiactions: {
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: '新建',
			tip: '新建',
		},
		tbitem4: {
			caption: '编辑',
			tip: '编辑',
		},
		tbitem6: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem7: {
			caption: '-',
			tip: '',
		},
		tbitem8: {
			caption: '删除',
			tip: '删除',
		},
		tbitem9: {
			caption: '-',
			tip: '',
		},
		tbitem13: {
			caption: '导出',
			tip: '导出',
		},
		tbitem10: {
			caption: '-',
			tip: '',
		},
		tbitem16: {
			caption: '其它',
			tip: '其它',
		},
		tbitem21: {
			caption: '导出数据模型',
			tip: '导出数据模型',
		},
		tbitem23: {
			caption: '数据导入',
			tip: '数据导入',
		},
		tbitem17: {
			caption: '-',
			tip: '',
		},
		tbitem19: {
			caption: '过滤',
			tip: '过滤',
		},
		tbitem18: {
			caption: '帮助',
			tip: '帮助',
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: '保存',
			tip: '保存',
		},
		tbitem4: {
			caption: '保存并新建',
			tip: '保存并新建',
		},
		tbitem5: {
			caption: '保存并关闭',
			tip: '保存并关闭',
		},
		tbitem6: {
			caption: '-',
			tip: '',
		},
		tbitem7: {
			caption: '删除并关闭',
			tip: '删除并关闭',
		},
		tbitem8: {
			caption: '-',
			tip: '',
		},
		tbitem12: {
			caption: '新建',
			tip: '新建',
		},
		tbitem13: {
			caption: '-',
			tip: '',
		},
		tbitem14: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem16: {
			caption: '-',
			tip: '',
		},
		tbitem23: {
			caption: '第一个记录',
			tip: '第一个记录',
		},
		tbitem24: {
			caption: '上一个记录',
			tip: '上一个记录',
		},
		tbitem25: {
			caption: '下一个记录',
			tip: '下一个记录',
		},
		tbitem26: {
			caption: '最后一个记录',
			tip: '最后一个记录',
		},
		tbitem21: {
			caption: '-',
			tip: '',
		},
		tbitem22: {
			caption: '帮助',
			tip: '帮助',
		},
	},
};