export default {
  fields: {
    entityimage: 'EntityImage',
    createdate: 'CreateDate',
    updatedate: 'UpdateDate',
    address2_shippingmethodcode: 'Address2_ShippingMethodCode',
    address2_country: 'Address2_Country',
    address2_telephone2: 'Address2_Telephone2',
    winpercentage: 'WinPercentage',
    address1_shippingmethodcode: 'Address1_ShippingMethodCode',
    referenceinfourl: 'ReferenceInfoUrl',
    address2_latitude: 'Address2_Latitude',
    versionnumber: 'VersionNumber',
    address2_county: 'Address2_County',
    importsequencenumber: 'ImportSequenceNumber',
    address2_telephone3: 'Address2_Telephone3',
    traversedpath: 'TraversedPath',
    address1_city: 'Address1_City',
    reportedrevenue_base: 'ReportedRevenue_Base',
    competitorid: 'CompetitorId',
    address1_fax: 'Address1_Fax',
    updateman: 'UpdateMan',
    overview: 'Overview',
    address2_stateorprovince: 'Address2_StateOrProvince',
    entityimageid: 'EntityImageId',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    address2_upszone: 'Address2_UPSZone',
    address1_line3: 'Address1_Line3',
    stockexchange: 'StockExchange',
    stageid: 'StageId',
    reportingyear: 'ReportingYear',
    reportingquarter: 'ReportingQuarter',
    address1_stateorprovince: 'Address1_StateOrProvince',
    address1_utcoffset: 'Address1_UTCOffset',
    address1_latitude: 'Address1_Latitude',
    address1_composite: 'Address1_Composite',
    address1_county: 'Address1_County',
    address1_name: 'Address1_Name',
    address1_postalcode: 'Address1_PostalCode',
    opportunities: 'Opportunities',
    address1_addressid: 'Address1_AddressId',
    address2_line3: 'Address2_Line3',
    address2_fax: 'Address2_Fax',
    processid: 'ProcessId',
    address2_postofficebox: 'Address2_PostOfficeBox',
    createman: 'CreateMan',
    exchangerate: 'ExchangeRate',
    overriddencreatedon: 'OverriddenCreatedOn',
    address1_telephone2: 'Address1_Telephone2',
    strengths: 'Strengths',
    address2_addresstypecode: 'Address2_AddressTypeCode',
    address1_postofficebox: 'Address1_PostOfficeBox',
    weaknesses: 'Weaknesses',
    address1_line2: 'Address1_Line2',
    yominame: 'YomiName',
    address2_longitude: 'Address2_Longitude',
    threats: 'Threats',
    address2_composite: 'Address2_Composite',
    entityimage_timestamp: 'EntityImage_Timestamp',
    address2_utcoffset: 'Address2_UTCOffset',
    address1_country: 'Address1_Country',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    reportedrevenue: 'ReportedRevenue',
    address1_longitude: 'Address1_Longitude',
    tickersymbol: 'TickerSymbol',
    address2_telephone1: 'Address2_Telephone1',
    keyproduct: 'KeyProduct',
    entityimage_url: 'EntityImage_URL',
    address2_city: 'Address2_City',
    websiteurl: 'WebSiteUrl',
    address2_addressid: 'Address2_AddressId',
    address1_telephone1: 'Address1_Telephone1',
    address2_postalcode: 'Address2_PostalCode',
    address1_line1: 'Address1_Line1',
    address1_telephone3: 'Address1_Telephone3',
    address2_line1: 'Address2_Line1',
    address1_addresstypecode: 'Address1_AddressTypeCode',
    address2_name: 'Address2_Name',
    competitorname: 'competitorName',
    address1_upszone: 'Address1_UPSZone',
    address2_line2: 'Address2_Line2',
    transactioncurrencyid: 'TransactionCurrencyId',
  },
	views: {
		editview: {
			caption: '竞争对手',
      title: '竞争对手',
		},
		gridview: {
			caption: '竞争对手',
      title: '竞争对手',
		},
	},
	main_form: {
		details: {
			group1: 'competitor基本信息', 
			formpage1: '基本信息', 
			group2: '操作信息', 
			formpage2: '其它', 
			srfupdatedate: 'UpdateDate', 
			srforikey: '', 
			srfkey: 'CompetitorId', 
			srfmajortext: 'competitorName', 
			srftempmode: '', 
			srfuf: '', 
			srfdeid: '', 
			srfsourcekey: '', 
			competitorname: 'competitorName', 
			createman: 'CreateMan', 
			createdate: 'CreateDate', 
			updateman: 'UpdateMan', 
			updatedate: 'UpdateDate', 
			competitorid: 'CompetitorId', 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			competitorname: 'competitorName',
			updateman: 'UpdateMan',
			updatedate: 'UpdateDate',
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: '常规条件', 
		},
		uiactions: {
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: '保存',
			tip: '保存',
		},
		tbitem4: {
			caption: '保存并新建',
			tip: '保存并新建',
		},
		tbitem5: {
			caption: '保存并关闭',
			tip: '保存并关闭',
		},
		tbitem6: {
			caption: '-',
			tip: '',
		},
		tbitem7: {
			caption: '删除并关闭',
			tip: '删除并关闭',
		},
		tbitem8: {
			caption: '-',
			tip: '',
		},
		tbitem12: {
			caption: '新建',
			tip: '新建',
		},
		tbitem13: {
			caption: '-',
			tip: '',
		},
		tbitem14: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem16: {
			caption: '-',
			tip: '',
		},
		tbitem23: {
			caption: '第一个记录',
			tip: '第一个记录',
		},
		tbitem24: {
			caption: '上一个记录',
			tip: '上一个记录',
		},
		tbitem25: {
			caption: '下一个记录',
			tip: '下一个记录',
		},
		tbitem26: {
			caption: '最后一个记录',
			tip: '最后一个记录',
		},
		tbitem21: {
			caption: '-',
			tip: '',
		},
		tbitem22: {
			caption: '帮助',
			tip: '帮助',
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: '新建',
			tip: '新建',
		},
		tbitem4: {
			caption: '编辑',
			tip: '编辑',
		},
		tbitem6: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem7: {
			caption: '-',
			tip: '',
		},
		tbitem8: {
			caption: '删除',
			tip: '删除',
		},
		tbitem9: {
			caption: '-',
			tip: '',
		},
		tbitem13: {
			caption: '导出',
			tip: '导出',
		},
		tbitem10: {
			caption: '-',
			tip: '',
		},
		tbitem16: {
			caption: '其它',
			tip: '其它',
		},
		tbitem21: {
			caption: '导出数据模型',
			tip: '导出数据模型',
		},
		tbitem23: {
			caption: '数据导入',
			tip: '数据导入',
		},
		tbitem17: {
			caption: '-',
			tip: '',
		},
		tbitem19: {
			caption: '过滤',
			tip: '过滤',
		},
		tbitem18: {
			caption: '帮助',
			tip: '帮助',
		},
	},
};