
export default {
  fields: {
    owneridtype: 'OwnerIdType',
    query: 'Query',
    updateman: 'UpdateMan',
    lockstatus: 'LockStatus',
    purpose: 'Purpose',
    lastusedon: 'LastUsedOn',
    ownerid: 'OwnerId',
    listid: 'ListId',
    membertype: 'MemberType',
    donotsendonoptout: 'DoNotSendOnOptOut',
    versionnumber: 'VersionNumber',
    cost: 'Cost',
    statecode: 'StateCode',
    exchangerate: 'ExchangeRate',
    listname: 'ListName',
    statuscode: 'StatusCode',
    owneridyominame: 'OwnerIdYomiName',
    description: 'Description',
    type: 'Type',
    createdate: 'CreateDate',
    importsequencenumber: 'ImportSequenceNumber',
    createman: 'CreateMan',
    processid: 'ProcessId',
    cost_base: 'Cost_Base',
    membercount: 'MemberCount',
    ignoreinactivelistmembers: 'IgnoreInactiveListMembers',
    stageid: 'StageId',
    source: 'Source',
    updatedate: 'UpdateDate',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    createdfromcode: 'CreatedFromCode',
    overriddencreatedon: 'OverriddenCreatedOn',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    traversedpath: 'TraversedPath',
    transactioncurrencyid: 'TransactionCurrencyId',
  },
	views: {
		editview: {
			caption: "市场营销列表",
      title: '市场营销列表',
		},
		gridview: {
			caption: "市场营销列表",
      title: '市场营销列表',
		},
	},
	main_form: {
		details: {
			group1: "list基本信息", 
			formpage1: "基本信息", 
			group2: "操作信息", 
			formpage2: "其它", 
			srfupdatedate: "UpdateDate", 
			srforikey: "", 
			srfkey: "ListId", 
			srfmajortext: "ListName", 
			srftempmode: "", 
			srfuf: "", 
			srfdeid: "", 
			srfsourcekey: "", 
			listname: "ListName", 
			createman: "CreateMan", 
			createdate: "CreateDate", 
			updateman: "UpdateMan", 
			updatedate: "UpdateDate", 
			listid: "ListId", 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			listname: "ListName",
			updateman: "UpdateMan",
			updatedate: "UpdateDate",
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: "常规条件", 
		},
		uiactions: {
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: "Save",
			tip: "Save",
		},
		tbitem4: {
			caption: "Save And New",
			tip: "Save And New",
		},
		tbitem5: {
			caption: "Save And Close",
			tip: "Save And Close Window",
		},
		tbitem6: {
			caption: "-",
			tip: "",
		},
		tbitem7: {
			caption: "Remove And Close",
			tip: "Remove And Close Window",
		},
		tbitem8: {
			caption: "-",
			tip: "",
		},
		tbitem12: {
			caption: "New",
			tip: "New",
		},
		tbitem13: {
			caption: "-",
			tip: "",
		},
		tbitem14: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem16: {
			caption: "-",
			tip: "",
		},
		tbitem23: {
			caption: "第一个记录",
			tip: "第一个记录",
		},
		tbitem24: {
			caption: "上一个记录",
			tip: "上一个记录",
		},
		tbitem25: {
			caption: "下一个记录",
			tip: "下一个记录",
		},
		tbitem26: {
			caption: "最后一个记录",
			tip: "最后一个记录",
		},
		tbitem21: {
			caption: "-",
			tip: "",
		},
		tbitem22: {
			caption: "Help",
			tip: "Help",
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "New",
			tip: "New",
		},
		tbitem4: {
			caption: "Edit",
			tip: "Edit {0}",
		},
		tbitem6: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "Remove",
			tip: "Remove {0}",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "Export",
			tip: "Export {0} Data To Excel",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem16: {
			caption: "其它",
			tip: "其它",
		},
		tbitem21: {
			caption: "Export Data Model",
			tip: "导出数据模型",
		},
		tbitem23: {
			caption: "数据导入",
			tip: "数据导入",
		},
		tbitem17: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "Filter",
			tip: "Filter",
		},
		tbitem18: {
			caption: "Help",
			tip: "Help",
		},
	},
};