export default {
  fields: {
    lastonholdtime: 'LastOnHoldTime',
    versionnumber: 'VersionNumber',
    customeridtype: 'CustomerIdType',
    firstresponseslastatus: 'FirstResponseSLAStatus',
    incidentstagecode: 'IncidentStageCode',
    influencescore: 'InfluenceScore',
    customerid: 'CustomerId',
    socialprofileid: 'SocialProfileId',
    ticketnumber: 'TicketNumber',
    merged: 'Merged',
    productserialnumber: 'ProductSerialNumber',
    description: 'Description',
    owneridtype: 'OwnerIdType',
    escalated: 'Escalated',
    stageid: 'StageId',
    casetypecode: 'CaseTypeCode',
    emailaddress: 'EmailAddress',
    checkemail: 'CheckEmail',
    severitycode: 'SeverityCode',
    escalatedon: 'EscalatedOn',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    ownerid: 'OwnerId',
    billedserviceunits: 'BilledServiceUnits',
    prioritycode: 'PriorityCode',
    entityimage: 'EntityImage',
    customeridyominame: 'CustomerIdYomiName',
    onholdtime: 'OnHoldTime',
    createman: 'CreateMan',
    kbarticleid: 'KbArticleId',
    contractservicelevelcode: 'ContractServiceLevelCode',
    contactidyominame: 'ContactIdYomiName',
    accountidyominame: 'AccountIdYomiName',
    entityimage_url: 'EntityImage_URL',
    customercontacted: 'CustomerContacted',
    processid: 'ProcessId',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    createdate: 'CreateDate',
    decrementing: 'Decrementing',
    updateman: 'UpdateMan',
    statuscode: 'StatusCode',
    responsiblecontactidyominame: 'ResponsibleContactIdYomiName',
    resolveby: 'ResolveBy',
    responseby: 'ResponseBy',
    primarycontactidyominame: 'PrimaryContactIdYomiName',
    entityimageid: 'EntityImageId',
    followuptaskcreated: 'FollowUpTaskCreated',
    firstresponsesent: 'FirstResponseSent',
    followupby: 'FollowupBy',
    incidentid: 'IncidentId',
    servicestage: 'ServiceStage',
    traversedpath: 'TraversedPath',
    owneridyominame: 'OwnerIdYomiName',
    numberofchildincidents: 'NumberOfChildIncidents',
    slaname: 'SLAName',
    blockedprofile: 'BlockedProfile',
    overriddencreatedon: 'OverriddenCreatedOn',
    actualserviceunits: 'ActualServiceUnits',
    messagetypecode: 'MessageTypeCode',
    routecase: 'RouteCase',
    statecode: 'StateCode',
    importsequencenumber: 'ImportSequenceNumber',
    resolvebyslastatus: 'ResolveBySLAStatus',
    caseorigincode: 'CaseOriginCode',
    activitiescomplete: 'ActivitiesComplete',
    updatedate: 'UpdateDate',
    decremententitlementterm: 'DecrementEntitlementTerm',
    customersatisfactioncode: 'CustomerSatisfactionCode',
    sentimentvalue: 'SentimentValue',
    entityimage_timestamp: 'EntityImage_Timestamp',
    title: 'Title',
    exchangerate: 'ExchangeRate',
    entitlementid: 'EntitlementId',
    firstresponsebykpiid: 'FirstResponseByKPIId',
    slaid: 'SLAId',
    existingcase: 'ExistingCase',
    productid: 'ProductId',
    contractid: 'ContractId',
    responsiblecontactid: 'ResponsibleContactId',
    resolvebykpiid: 'ResolveByKPIId',
    contractdetailid: 'ContractDetailId',
    subjectid: 'SubjectId',
    masterid: 'MasterId',
    parentcaseid: 'ParentCaseId',
    primarycontactid: 'PrimaryContactId',
    transactioncurrencyid: 'TransactionCurrencyId',
  },
	views: {
		gridview: {
			caption: '案例',
      title: '案例',
		},
		editview: {
			caption: '案例',
      title: '案例',
		},
	},
	main_form: {
		details: {
			group1: 'incident基本信息', 
			formpage1: '基本信息', 
			group2: '操作信息', 
			formpage2: '其它', 
			srfupdatedate: 'UpdateDate', 
			srforikey: '', 
			srfkey: 'IncidentId', 
			srfmajortext: 'Title', 
			srftempmode: '', 
			srfuf: '', 
			srfdeid: '', 
			srfsourcekey: '', 
			title: 'Title', 
			createman: 'CreateMan', 
			createdate: 'CreateDate', 
			updateman: 'UpdateMan', 
			updatedate: 'UpdateDate', 
			incidentid: 'IncidentId', 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			title: 'Title',
			updateman: 'UpdateMan',
			updatedate: 'UpdateDate',
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: '常规条件', 
		},
		uiactions: {
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: '新建',
			tip: '新建',
		},
		tbitem4: {
			caption: '编辑',
			tip: '编辑',
		},
		tbitem6: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem7: {
			caption: '-',
			tip: '',
		},
		tbitem8: {
			caption: '删除',
			tip: '删除',
		},
		tbitem9: {
			caption: '-',
			tip: '',
		},
		tbitem13: {
			caption: '导出',
			tip: '导出',
		},
		tbitem10: {
			caption: '-',
			tip: '',
		},
		tbitem16: {
			caption: '其它',
			tip: '其它',
		},
		tbitem21: {
			caption: '导出数据模型',
			tip: '导出数据模型',
		},
		tbitem23: {
			caption: '数据导入',
			tip: '数据导入',
		},
		tbitem17: {
			caption: '-',
			tip: '',
		},
		tbitem19: {
			caption: '过滤',
			tip: '过滤',
		},
		tbitem18: {
			caption: '帮助',
			tip: '帮助',
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: '保存',
			tip: '保存',
		},
		tbitem4: {
			caption: '保存并新建',
			tip: '保存并新建',
		},
		tbitem5: {
			caption: '保存并关闭',
			tip: '保存并关闭',
		},
		tbitem6: {
			caption: '-',
			tip: '',
		},
		tbitem7: {
			caption: '删除并关闭',
			tip: '删除并关闭',
		},
		tbitem8: {
			caption: '-',
			tip: '',
		},
		tbitem12: {
			caption: '新建',
			tip: '新建',
		},
		tbitem13: {
			caption: '-',
			tip: '',
		},
		tbitem14: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem16: {
			caption: '-',
			tip: '',
		},
		tbitem23: {
			caption: '第一个记录',
			tip: '第一个记录',
		},
		tbitem24: {
			caption: '上一个记录',
			tip: '上一个记录',
		},
		tbitem25: {
			caption: '下一个记录',
			tip: '下一个记录',
		},
		tbitem26: {
			caption: '最后一个记录',
			tip: '最后一个记录',
		},
		tbitem21: {
			caption: '-',
			tip: '',
		},
		tbitem22: {
			caption: '帮助',
			tip: '帮助',
		},
	},
};