export default {
  fields: {
    decisionmaker: 'DecisionMaker',
    totallineitemamount: 'TotalLineItemAmount',
    processid: 'ProcessId',
    discountpercentage: 'DiscountPercentage',
    pricingerrorcode: 'PricingErrorCode',
    totalamount: 'TotalAmount',
    totaltax_base: 'TotalTax_Base',
    totaltax: 'TotalTax',
    updateman: 'UpdateMan',
    estimatedvalue_base: 'EstimatedValue_Base',
    parentcontactidyominame: 'ParentContactIdYomiName',
    presentfinalproposal: 'PresentFinalProposal',
    developproposal: 'DevelopProposal',
    opportunityratingcode: 'OpportunityRatingCode',
    totalamount_base: 'TotalAmount_Base',
    totalamountlessfreight: 'TotalAmountLessFreight',
    description: 'Description',
    identifycompetitors: 'IdentifyCompetitors',
    updatedate: 'UpdateDate',
    sendthankyounote: 'SendThankYouNote',
    totaldiscountamount_base: 'TotalDiscountAmount_Base',
    totallineitemdiscountamount: 'TotalLineItemDiscountAmount',
    purchaseprocess: 'PurchaseProcess',
    traversedpath: 'TraversedPath',
    captureproposalfeedback: 'CaptureProposalFeedback',
    finaldecisiondate: 'FinalDecisionDate',
    stepid: 'StepId',
    resolvefeedback: 'ResolveFeedback',
    budgetamount_base: 'BudgetAmount_Base',
    owneridyominame: 'OwnerIdYomiName',
    pursuitdecision: 'PursuitDecision',
    revenuesystemcalculated: 'RevenueSystemCalculated',
    scheduleproposalmeeting: 'ScheduleProposalMeeting',
    closeprobability: 'CloseProbability',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    presentproposal: 'PresentProposal',
    schedulefollowup_prospect: 'ScheduleFollowup_Prospect',
    statuscode: 'StatusCode',
    actualclosedate: 'ActualCloseDate',
    confirminterest: 'ConfirmInterest',
    customerid: 'CustomerId',
    salesstage: 'SalesStage',
    opportunityid: 'OpportunityId',
    onholdtime: 'OnHoldTime',
    qualificationcomments: 'QualificationComments',
    accountidyominame: 'AccountIdYomiName',
    schedulefollowup_qualify: 'ScheduleFollowup_Qualify',
    participatesinworkflow: 'ParticipatesInWorkflow',
    exchangerate: 'ExchangeRate',
    stepname: 'StepName',
    customerneed: 'CustomerNeed',
    importsequencenumber: 'ImportSequenceNumber',
    completeinternalreview: 'CompleteInternalReview',
    evaluatefit: 'EvaluateFit',
    salesstagecode: 'SalesStageCode',
    identifypursuitteam: 'IdentifyPursuitTeam',
    contactidyominame: 'ContactIdYomiName',
    initialcommunication: 'InitialCommunication',
    versionnumber: 'VersionNumber',
    freightamount_base: 'FreightAmount_Base',
    teamsfollowed: 'TeamsFollowed',
    proposedsolution: 'ProposedSolution',
    filedebrief: 'FileDebrief',
    budgetamount: 'BudgetAmount',
    budgetstatus: 'BudgetStatus',
    discountamount_base: 'DiscountAmount_Base',
    completefinalproposal: 'CompleteFinalProposal',
    originatingleadidyominame: 'OriginatingLeadIdYomiName',
    discountamount: 'DiscountAmount',
    customeridyominame: 'CustomerIdYomiName',
    need: 'Need',
    stageid: 'StageId',
    freightamount: 'FreightAmount',
    actualvalue: 'ActualValue',
    ibizprivate: 'Private',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    createdate: 'CreateDate',
    prioritycode: 'PriorityCode',
    totallineitemamount_base: 'TotalLineItemAmount_Base',
    estimatedclosedate: 'EstimatedCloseDate',
    currentsituation: 'CurrentSituation',
    actualvalue_base: 'ActualValue_Base',
    customerpainpoints: 'CustomerPainPoints',
    totaldiscountamount: 'TotalDiscountAmount',
    opportunityname: 'opportunityName',
    owneridtype: 'OwnerIdType',
    identifycustomercontacts: 'IdentifyCustomerContacts',
    timeline: 'TimeLine',
    lastonholdtime: 'LastOnHoldTime',
    totalamountlessfreight_base: 'TotalAmountLessFreight_Base',
    estimatedvalue: 'EstimatedValue',
    emailaddress: 'EmailAddress',
    statecode: 'StateCode',
    purchasetimeframe: 'PurchaseTimeframe',
    createman: 'CreateMan',
    quotecomments: 'QuoteComments',
    parentaccountidyominame: 'ParentAccountIdYomiName',
    customeridtype: 'CustomerIdType',
    slaname: 'SLAName',
    overriddencreatedon: 'OverriddenCreatedOn',
    ownerid: 'OwnerId',
    parentcontactid: 'ParentContactId',
    campaignid: 'CampaignId',
    transactioncurrencyid: 'TransactionCurrencyId',
    parentaccountid: 'ParentAccountId',
    pricelevelid: 'PriceLevelId',
    originatingleadid: 'OriginatingLeadId',
    slaid: 'SLAId',
  },
	views: {
		gridview: {
			caption: '商机',
      title: '商机',
		},
		editview: {
			caption: '商机',
      title: '商机',
		},
	},
	main_form: {
		details: {
			group1: 'opportunity基本信息', 
			formpage1: '基本信息', 
			group2: '操作信息', 
			formpage2: '其它', 
			srfupdatedate: 'UpdateDate', 
			srforikey: '', 
			srfkey: 'OpportunityId', 
			srfmajortext: 'opportunityName', 
			srftempmode: '', 
			srfuf: '', 
			srfdeid: '', 
			srfsourcekey: '', 
			opportunityname: 'opportunityName', 
			createman: 'CreateMan', 
			createdate: 'CreateDate', 
			updateman: 'UpdateMan', 
			updatedate: 'UpdateDate', 
			opportunityid: 'OpportunityId', 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			opportunityname: 'opportunityName',
			updateman: 'UpdateMan',
			updatedate: 'UpdateDate',
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: '常规条件', 
		},
		uiactions: {
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: '新建',
			tip: '新建',
		},
		tbitem4: {
			caption: '编辑',
			tip: '编辑',
		},
		tbitem6: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem7: {
			caption: '-',
			tip: '',
		},
		tbitem8: {
			caption: '删除',
			tip: '删除',
		},
		tbitem9: {
			caption: '-',
			tip: '',
		},
		tbitem13: {
			caption: '导出',
			tip: '导出',
		},
		tbitem10: {
			caption: '-',
			tip: '',
		},
		tbitem16: {
			caption: '其它',
			tip: '其它',
		},
		tbitem21: {
			caption: '导出数据模型',
			tip: '导出数据模型',
		},
		tbitem23: {
			caption: '数据导入',
			tip: '数据导入',
		},
		tbitem17: {
			caption: '-',
			tip: '',
		},
		tbitem19: {
			caption: '过滤',
			tip: '过滤',
		},
		tbitem18: {
			caption: '帮助',
			tip: '帮助',
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: '保存',
			tip: '保存',
		},
		tbitem4: {
			caption: '保存并新建',
			tip: '保存并新建',
		},
		tbitem5: {
			caption: '保存并关闭',
			tip: '保存并关闭',
		},
		tbitem6: {
			caption: '-',
			tip: '',
		},
		tbitem7: {
			caption: '删除并关闭',
			tip: '删除并关闭',
		},
		tbitem8: {
			caption: '-',
			tip: '',
		},
		tbitem12: {
			caption: '新建',
			tip: '新建',
		},
		tbitem13: {
			caption: '-',
			tip: '',
		},
		tbitem14: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem16: {
			caption: '-',
			tip: '',
		},
		tbitem23: {
			caption: '第一个记录',
			tip: '第一个记录',
		},
		tbitem24: {
			caption: '上一个记录',
			tip: '上一个记录',
		},
		tbitem25: {
			caption: '下一个记录',
			tip: '下一个记录',
		},
		tbitem26: {
			caption: '最后一个记录',
			tip: '最后一个记录',
		},
		tbitem21: {
			caption: '-',
			tip: '',
		},
		tbitem22: {
			caption: '帮助',
			tip: '帮助',
		},
	},
};