
export default {
  fields: {
    billto_country: 'BillTo_Country',
    onholdtime: 'OnHoldTime',
    willcall: 'WillCall',
    shipto_line1: 'ShipTo_Line1',
    freighttermscode: 'FreightTermsCode',
    statecode: 'StateCode',
    effectivefrom: 'EffectiveFrom',
    totalamountlessfreight_base: 'TotalAmountLessFreight_Base',
    quotename: 'quoteName',
    totaldiscountamount_base: 'TotalDiscountAmount_Base',
    shipto_postalcode: 'ShipTo_PostalCode',
    totalamount: 'TotalAmount',
    billto_addressid: 'BillTo_AddressId',
    updateman: 'UpdateMan',
    createman: 'CreateMan',
    totalamount_base: 'TotalAmount_Base',
    shipto_line2: 'ShipTo_Line2',
    totallineitemdiscountamount: 'TotalLineItemDiscountAmount',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    totallineitemamount_base: 'TotalLineItemAmount_Base',
    shipto_contactname: 'ShipTo_ContactName',
    overriddencreatedon: 'OverriddenCreatedOn',
    shipto_addressid: 'ShipTo_AddressId',
    shipto_name: 'ShipTo_Name',
    statuscode: 'StatusCode',
    quotenumber: 'QuoteNumber',
    billto_telephone: 'BillTo_Telephone',
    closedon: 'ClosedOn',
    freightamount_base: 'FreightAmount_Base',
    shipto_line3: 'ShipTo_Line3',
    shippingmethodcode: 'ShippingMethodCode',
    customeridtype: 'CustomerIdType',
    customerid: 'CustomerId',
    effectiveto: 'EffectiveTo',
    shipto_freighttermscode: 'ShipTo_FreightTermsCode',
    updatedate: 'UpdateDate',
    totallineitemamount: 'TotalLineItemAmount',
    shipto_fax: 'ShipTo_Fax',
    ownerid: 'OwnerId',
    emailaddress: 'EmailAddress',
    importsequencenumber: 'ImportSequenceNumber',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    pricingerrorcode: 'PricingErrorCode',
    uniquedscid: 'UniqueDscId',
    contactidyominame: 'ContactIdYomiName',
    billto_line3: 'BillTo_Line3',
    description: 'Description',
    accountidyominame: 'AccountIdYomiName',
    billto_composite: 'BillTo_Composite',
    requestdeliveryby: 'RequestDeliveryBy',
    totaltax: 'TotalTax',
    quoteid: 'QuoteId',
    processid: 'ProcessId',
    stageid: 'StageId',
    createdate: 'CreateDate',
    exchangerate: 'ExchangeRate',
    owneridyominame: 'OwnerIdYomiName',
    owneridtype: 'OwnerIdType',
    versionnumber: 'VersionNumber',
    shipto_country: 'ShipTo_Country',
    expireson: 'ExpiresOn',
    billto_postalcode: 'BillTo_PostalCode',
    billto_line2: 'BillTo_Line2',
    billto_name: 'BillTo_Name',
    slaname: 'SLAName',
    billto_line1: 'BillTo_Line1',
    revisionnumber: 'RevisionNumber',
    billto_contactname: 'BillTo_ContactName',
    shipto_stateorprovince: 'ShipTo_StateOrProvince',
    billto_city: 'BillTo_City',
    lastonholdtime: 'LastOnHoldTime',
    discountpercentage: 'DiscountPercentage',
    shipto_city: 'ShipTo_City',
    discountamount: 'DiscountAmount',
    shipto_composite: 'ShipTo_Composite',
    shipto_telephone: 'ShipTo_Telephone',
    billto_stateorprovince: 'BillTo_StateOrProvince',
    paymenttermscode: 'PaymentTermsCode',
    totalamountlessfreight: 'TotalAmountLessFreight',
    traversedpath: 'TraversedPath',
    customeridyominame: 'CustomerIdYomiName',
    billto_fax: 'BillTo_Fax',
    totaldiscountamount: 'TotalDiscountAmount',
    totaltax_base: 'TotalTax_Base',
    discountamount_base: 'DiscountAmount_Base',
    freightamount: 'FreightAmount',
    pricelevelid: 'PriceLevelId',
    slaid: 'SLAId',
    transactioncurrencyid: 'TransactionCurrencyId',
    opportunityid: 'OpportunityId',
    campaignid: 'CampaignId',
  },
	views: {
		editview: {
			caption: "报价",
      title: '报价',
		},
		gridview: {
			caption: "报价",
      title: '报价',
		},
	},
	main_form: {
		details: {
			group1: "quote基本信息", 
			formpage1: "基本信息", 
			group2: "操作信息", 
			formpage2: "其它", 
			srfupdatedate: "UpdateDate", 
			srforikey: "", 
			srfkey: "QuoteId", 
			srfmajortext: "quoteName", 
			srftempmode: "", 
			srfuf: "", 
			srfdeid: "", 
			srfsourcekey: "", 
			quotename: "quoteName", 
			createman: "CreateMan", 
			createdate: "CreateDate", 
			updateman: "UpdateMan", 
			updatedate: "UpdateDate", 
			quoteid: "QuoteId", 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			quotename: "quoteName",
			updateman: "UpdateMan",
			updatedate: "UpdateDate",
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: "常规条件", 
		},
		uiactions: {
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: "Save",
			tip: "Save",
		},
		tbitem4: {
			caption: "Save And New",
			tip: "Save And New",
		},
		tbitem5: {
			caption: "Save And Close",
			tip: "Save And Close Window",
		},
		tbitem6: {
			caption: "-",
			tip: "",
		},
		tbitem7: {
			caption: "Remove And Close",
			tip: "Remove And Close Window",
		},
		tbitem8: {
			caption: "-",
			tip: "",
		},
		tbitem12: {
			caption: "New",
			tip: "New",
		},
		tbitem13: {
			caption: "-",
			tip: "",
		},
		tbitem14: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem16: {
			caption: "-",
			tip: "",
		},
		tbitem23: {
			caption: "第一个记录",
			tip: "第一个记录",
		},
		tbitem24: {
			caption: "上一个记录",
			tip: "上一个记录",
		},
		tbitem25: {
			caption: "下一个记录",
			tip: "下一个记录",
		},
		tbitem26: {
			caption: "最后一个记录",
			tip: "最后一个记录",
		},
		tbitem21: {
			caption: "-",
			tip: "",
		},
		tbitem22: {
			caption: "Help",
			tip: "Help",
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "New",
			tip: "New",
		},
		tbitem4: {
			caption: "Edit",
			tip: "Edit {0}",
		},
		tbitem6: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "Remove",
			tip: "Remove {0}",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "Export",
			tip: "Export {0} Data To Excel",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem16: {
			caption: "其它",
			tip: "其它",
		},
		tbitem21: {
			caption: "Export Data Model",
			tip: "导出数据模型",
		},
		tbitem23: {
			caption: "数据导入",
			tip: "数据导入",
		},
		tbitem17: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "Filter",
			tip: "Filter",
		},
		tbitem18: {
			caption: "Help",
			tip: "Help",
		},
	},
};