export default {
  fields: {
    importsequencenumber: 'ImportSequenceNumber',
    createdate: 'CreateDate',
    createman: 'CreateMan',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    customerviewable: 'CustomerViewable',
    expirationdate: 'ExpirationDate',
    exchangerate: 'ExchangeRate',
    employeecontactidyominame: 'EmployeeContactIdYomiName',
    updatedate: 'UpdateDate',
    description: 'Description',
    salesliteraturename: 'salesliteratureName',
    processid: 'ProcessId',
    stageid: 'StageId',
    updateman: 'UpdateMan',
    entityimage: 'EntityImage',
    entityimage_url: 'EntityImage_URL',
    hasattachments: 'HasAttachments',
    overriddencreatedon: 'OverriddenCreatedOn',
    entityimage_timestamp: 'EntityImage_Timestamp',
    employeecontactid: 'EmployeeContactId',
    keywords: 'KeyWords',
    versionnumber: 'VersionNumber',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    literaturetypecode: 'LiteratureTypeCode',
    salesliteratureid: 'SalesLiteratureId',
    entityimageid: 'EntityImageId',
    traversedpath: 'TraversedPath',
    transactioncurrencyid: 'TransactionCurrencyId',
    subjectid: 'SubjectId',
  },
	views: {
		gridview: {
			caption: '销售资料',
      title: '销售资料',
		},
		editview: {
			caption: '销售资料',
      title: '销售资料',
		},
	},
	main_form: {
		details: {
			group1: 'salesliterature基本信息', 
			formpage1: '基本信息', 
			group2: '操作信息', 
			formpage2: '其它', 
			srfupdatedate: 'UpdateDate', 
			srforikey: '', 
			srfkey: 'SalesLiteratureId', 
			srfmajortext: 'salesliteratureName', 
			srftempmode: '', 
			srfuf: '', 
			srfdeid: '', 
			srfsourcekey: '', 
			salesliteraturename: 'salesliteratureName', 
			createman: 'CreateMan', 
			createdate: 'CreateDate', 
			updateman: 'UpdateMan', 
			updatedate: 'UpdateDate', 
			salesliteratureid: 'SalesLiteratureId', 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			salesliteraturename: 'salesliteratureName',
			updateman: 'UpdateMan',
			updatedate: 'UpdateDate',
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: '常规条件', 
		},
		uiactions: {
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: '新建',
			tip: '新建',
		},
		tbitem4: {
			caption: '编辑',
			tip: '编辑',
		},
		tbitem6: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem7: {
			caption: '-',
			tip: '',
		},
		tbitem8: {
			caption: '删除',
			tip: '删除',
		},
		tbitem9: {
			caption: '-',
			tip: '',
		},
		tbitem13: {
			caption: '导出',
			tip: '导出',
		},
		tbitem10: {
			caption: '-',
			tip: '',
		},
		tbitem16: {
			caption: '其它',
			tip: '其它',
		},
		tbitem21: {
			caption: '导出数据模型',
			tip: '导出数据模型',
		},
		tbitem23: {
			caption: '数据导入',
			tip: '数据导入',
		},
		tbitem17: {
			caption: '-',
			tip: '',
		},
		tbitem19: {
			caption: '过滤',
			tip: '过滤',
		},
		tbitem18: {
			caption: '帮助',
			tip: '帮助',
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: '保存',
			tip: '保存',
		},
		tbitem4: {
			caption: '保存并新建',
			tip: '保存并新建',
		},
		tbitem5: {
			caption: '保存并关闭',
			tip: '保存并关闭',
		},
		tbitem6: {
			caption: '-',
			tip: '',
		},
		tbitem7: {
			caption: '删除并关闭',
			tip: '删除并关闭',
		},
		tbitem8: {
			caption: '-',
			tip: '',
		},
		tbitem12: {
			caption: '新建',
			tip: '新建',
		},
		tbitem13: {
			caption: '-',
			tip: '',
		},
		tbitem14: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem16: {
			caption: '-',
			tip: '',
		},
		tbitem23: {
			caption: '第一个记录',
			tip: '第一个记录',
		},
		tbitem24: {
			caption: '上一个记录',
			tip: '上一个记录',
		},
		tbitem25: {
			caption: '下一个记录',
			tip: '下一个记录',
		},
		tbitem26: {
			caption: '最后一个记录',
			tip: '最后一个记录',
		},
		tbitem21: {
			caption: '-',
			tip: '',
		},
		tbitem22: {
			caption: '帮助',
			tip: '帮助',
		},
	},
};