
export default {
  fields: {
    entityimage: 'EntityImage',
    pricingerrorcode: 'PricingErrorCode',
    shipto_country: 'ShipTo_Country',
    shipto_fax: 'ShipTo_Fax',
    totallineitemamount_base: 'TotalLineItemAmount_Base',
    billto_country: 'BillTo_Country',
    totalamountlessfreight: 'TotalAmountLessFreight',
    willcall: 'WillCall',
    discountamount_base: 'DiscountAmount_Base',
    datefulfilled: 'DateFulfilled',
    billto_line3: 'BillTo_Line3',
    billto_line1: 'BillTo_Line1',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    ownerid: 'OwnerId',
    accountidyominame: 'AccountIdYomiName',
    exchangerate: 'ExchangeRate',
    entityimageid: 'EntityImageId',
    shipto_line3: 'ShipTo_Line3',
    contactidyominame: 'ContactIdYomiName',
    createman: 'CreateMan',
    shipto_telephone: 'ShipTo_Telephone',
    stageid: 'StageId',
    traversedpath: 'TraversedPath',
    updateman: 'UpdateMan',
    ordernumber: 'OrderNumber',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    owneridyominame: 'OwnerIdYomiName',
    totaldiscountamount_base: 'TotalDiscountAmount_Base',
    shipto_contactname: 'ShipTo_ContactName',
    requestdeliveryby: 'RequestDeliveryBy',
    statecode: 'StateCode',
    totallineitemdiscountamount: 'TotalLineItemDiscountAmount',
    shipto_freighttermscode: 'ShipTo_FreightTermsCode',
    totaltax: 'TotalTax',
    shipto_line1: 'ShipTo_Line1',
    discountpercentage: 'DiscountPercentage',
    prioritycode: 'PriorityCode',
    billto_composite: 'BillTo_Composite',
    customeridyominame: 'CustomerIdYomiName',
    statuscode: 'StatusCode',
    shipto_addressid: 'ShipTo_AddressId',
    slaname: 'SLAName',
    paymenttermscode: 'PaymentTermsCode',
    billto_postalcode: 'BillTo_PostalCode',
    billto_addressid: 'BillTo_AddressId',
    billto_telephone: 'BillTo_Telephone',
    shipto_composite: 'ShipTo_Composite',
    submitstatus: 'SubmitStatus',
    submitstatusdescription: 'SubmitStatusDescription',
    emailaddress: 'EmailAddress',
    billto_city: 'BillTo_City',
    freightamount_base: 'FreightAmount_Base',
    createdate: 'CreateDate',
    salesorderid: 'SalesOrderId',
    freightamount: 'FreightAmount',
    shipto_stateorprovince: 'ShipTo_StateOrProvince',
    discountamount: 'DiscountAmount',
    totalamount: 'TotalAmount',
    totaldiscountamount: 'TotalDiscountAmount',
    totalamount_base: 'TotalAmount_Base',
    importsequencenumber: 'ImportSequenceNumber',
    totalamountlessfreight_base: 'TotalAmountLessFreight_Base',
    updatedate: 'UpdateDate',
    versionnumber: 'VersionNumber',
    shipto_city: 'ShipTo_City',
    billto_line2: 'BillTo_Line2',
    shipto_line2: 'ShipTo_Line2',
    processid: 'ProcessId',
    billto_name: 'BillTo_Name',
    totallineitemamount: 'TotalLineItemAmount',
    lastonholdtime: 'LastOnHoldTime',
    lastbackofficesubmit: 'LastBackofficeSubmit',
    customeridtype: 'CustomerIdType',
    submitdate: 'SubmitDate',
    billto_fax: 'BillTo_Fax',
    shipto_postalcode: 'ShipTo_PostalCode',
    entityimage_url: 'EntityImage_URL',
    overriddencreatedon: 'OverriddenCreatedOn',
    customerid: 'CustomerId',
    billto_contactname: 'BillTo_ContactName',
    onholdtime: 'OnHoldTime',
    totaltax_base: 'TotalTax_Base',
    entityimage_timestamp: 'EntityImage_Timestamp',
    freighttermscode: 'FreightTermsCode',
    billto_stateorprovince: 'BillTo_StateOrProvince',
    shipto_name: 'ShipTo_Name',
    salesordername: 'salesorderName',
    owneridtype: 'OwnerIdType',
    shippingmethodcode: 'ShippingMethodCode',
    pricelocked: 'PriceLocked',
    description: 'Description',
    quoteid: 'QuoteId',
    slaid: 'SLAId',
    transactioncurrencyid: 'TransactionCurrencyId',
    opportunityid: 'OpportunityId',
    pricelevelid: 'PriceLevelId',
    campaignid: 'CampaignId',
  },
	views: {
		editview: {
			caption: "销售订单",
      title: '销售订单',
		},
		gridview: {
			caption: "销售订单",
      title: '销售订单',
		},
	},
	main_form: {
		details: {
			group1: "salesorder基本信息", 
			formpage1: "基本信息", 
			group2: "操作信息", 
			formpage2: "其它", 
			srfupdatedate: "UpdateDate", 
			srforikey: "", 
			srfkey: "SalesOrderId", 
			srfmajortext: "salesorderName", 
			srftempmode: "", 
			srfuf: "", 
			srfdeid: "", 
			srfsourcekey: "", 
			salesordername: "salesorderName", 
			createman: "CreateMan", 
			createdate: "CreateDate", 
			updateman: "UpdateMan", 
			updatedate: "UpdateDate", 
			salesorderid: "SalesOrderId", 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			salesordername: "salesorderName",
			updateman: "UpdateMan",
			updatedate: "UpdateDate",
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: "常规条件", 
		},
		uiactions: {
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: "Save",
			tip: "Save",
		},
		tbitem4: {
			caption: "Save And New",
			tip: "Save And New",
		},
		tbitem5: {
			caption: "Save And Close",
			tip: "Save And Close Window",
		},
		tbitem6: {
			caption: "-",
			tip: "",
		},
		tbitem7: {
			caption: "Remove And Close",
			tip: "Remove And Close Window",
		},
		tbitem8: {
			caption: "-",
			tip: "",
		},
		tbitem12: {
			caption: "New",
			tip: "New",
		},
		tbitem13: {
			caption: "-",
			tip: "",
		},
		tbitem14: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem16: {
			caption: "-",
			tip: "",
		},
		tbitem23: {
			caption: "第一个记录",
			tip: "第一个记录",
		},
		tbitem24: {
			caption: "上一个记录",
			tip: "上一个记录",
		},
		tbitem25: {
			caption: "下一个记录",
			tip: "下一个记录",
		},
		tbitem26: {
			caption: "最后一个记录",
			tip: "最后一个记录",
		},
		tbitem21: {
			caption: "-",
			tip: "",
		},
		tbitem22: {
			caption: "Help",
			tip: "Help",
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: "New",
			tip: "New",
		},
		tbitem4: {
			caption: "Edit",
			tip: "Edit {0}",
		},
		tbitem6: {
			caption: "Copy",
			tip: "Copy {0}",
		},
		tbitem7: {
			caption: "-",
			tip: "",
		},
		tbitem8: {
			caption: "Remove",
			tip: "Remove {0}",
		},
		tbitem9: {
			caption: "-",
			tip: "",
		},
		tbitem13: {
			caption: "Export",
			tip: "Export {0} Data To Excel",
		},
		tbitem10: {
			caption: "-",
			tip: "",
		},
		tbitem16: {
			caption: "其它",
			tip: "其它",
		},
		tbitem21: {
			caption: "Export Data Model",
			tip: "导出数据模型",
		},
		tbitem23: {
			caption: "数据导入",
			tip: "数据导入",
		},
		tbitem17: {
			caption: "-",
			tip: "",
		},
		tbitem19: {
			caption: "Filter",
			tip: "Filter",
		},
		tbitem18: {
			caption: "Help",
			tip: "Help",
		},
	},
};