/**
 * 客户
 *
 * @export
 * @interface Account
 */
export interface Account {

    /**
     * Address1_PrimaryContactName
     *
     * @returns {*}
     * @memberof Account
     */
    address1_primarycontactname?: any;

    /**
     * OpenRevenue_Date
     *
     * @returns {*}
     * @memberof Account
     */
    openrevenue_date?: any;

    /**
     * Address2_UTCOffset
     *
     * @returns {*}
     * @memberof Account
     */
    address2_utcoffset?: any;

    /**
     * Fax
     *
     * @returns {*}
     * @memberof Account
     */
    fax?: any;

    /**
     * Address1_Composite
     *
     * @returns {*}
     * @memberof Account
     */
    address1_composite?: any;

    /**
     * EntityImage
     *
     * @returns {*}
     * @memberof Account
     */
    entityimage?: any;

    /**
     * EMailAddress1
     *
     * @returns {*}
     * @memberof Account
     */
    emailaddress1?: any;

    /**
     * OverriddenCreatedOn
     *
     * @returns {*}
     * @memberof Account
     */
    overriddencreatedon?: any;

    /**
     * Address1_StateOrProvince
     *
     * @returns {*}
     * @memberof Account
     */
    address1_stateorprovince?: any;

    /**
     * PrimaryContactIdYomiName
     *
     * @returns {*}
     * @memberof Account
     */
    primarycontactidyominame?: any;

    /**
     * OpenRevenue
     *
     * @returns {*}
     * @memberof Account
     */
    openrevenue?: any;

    /**
     * Address1_UPSZone
     *
     * @returns {*}
     * @memberof Account
     */
    address1_upszone?: any;

    /**
     * FollowEmail
     *
     * @returns {*}
     * @memberof Account
     */
    followemail?: any;

    /**
     * MarketingOnly
     *
     * @returns {*}
     * @memberof Account
     */
    marketingonly?: any;

    /**
     * NumberOfEmployees
     *
     * @returns {*}
     * @memberof Account
     */
    numberofemployees?: any;

    /**
     * Telephone1
     *
     * @returns {*}
     * @memberof Account
     */
    telephone1?: any;

    /**
     * Aging60
     *
     * @returns {*}
     * @memberof Account
     */
    aging60?: any;

    /**
     * SharesOutstanding
     *
     * @returns {*}
     * @memberof Account
     */
    sharesoutstanding?: any;

    /**
     * Address2_FreightTermsCode
     *
     * @returns {*}
     * @memberof Account
     */
    address2_freighttermscode?: any;

    /**
     * EntityImage_Timestamp
     *
     * @returns {*}
     * @memberof Account
     */
    entityimage_timestamp?: any;

    /**
     * Revenue_Base
     *
     * @returns {*}
     * @memberof Account
     */
    revenue_base?: any;

    /**
     * AccountRatingCode
     *
     * @returns {*}
     * @memberof Account
     */
    accountratingcode?: any;

    /**
     * SLAName
     *
     * @returns {*}
     * @memberof Account
     */
    slaname?: any;

    /**
     * DoNotBulkEMail
     *
     * @returns {*}
     * @memberof Account
     */
    donotbulkemail?: any;

    /**
     * ParentAccountIdYomiName
     *
     * @returns {*}
     * @memberof Account
     */
    parentaccountidyominame?: any;

    /**
     * Aging30
     *
     * @returns {*}
     * @memberof Account
     */
    aging30?: any;

    /**
     * DoNotBulkPostalMail
     *
     * @returns {*}
     * @memberof Account
     */
    donotbulkpostalmail?: any;

    /**
     * CreditLimit_Base
     *
     * @returns {*}
     * @memberof Account
     */
    creditlimit_base?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof Account
     */
    timezoneruleversionnumber?: any;

    /**
     * CustomerTypeCode
     *
     * @returns {*}
     * @memberof Account
     */
    customertypecode?: any;

    /**
     * Address2_Longitude
     *
     * @returns {*}
     * @memberof Account
     */
    address2_longitude?: any;

    /**
     * accountName
     *
     * @returns {*}
     * @memberof Account
     */
    accountname?: any;

    /**
     * ParticipatesInWorkflow
     *
     * @returns {*}
     * @memberof Account
     */
    participatesinworkflow?: any;

    /**
     * PreferredContactMethodCode
     *
     * @returns {*}
     * @memberof Account
     */
    preferredcontactmethodcode?: any;

    /**
     * PreferredAppointmentDayCode
     *
     * @returns {*}
     * @memberof Account
     */
    preferredappointmentdaycode?: any;

    /**
     * MarketCap
     *
     * @returns {*}
     * @memberof Account
     */
    marketcap?: any;

    /**
     * Address2_Telephone1
     *
     * @returns {*}
     * @memberof Account
     */
    address2_telephone1?: any;

    /**
     * BusinessTypeCode
     *
     * @returns {*}
     * @memberof Account
     */
    businesstypecode?: any;

    /**
     * EntityImageId
     *
     * @returns {*}
     * @memberof Account
     */
    entityimageid?: any;

    /**
     * Address2_City
     *
     * @returns {*}
     * @memberof Account
     */
    address2_city?: any;

    /**
     * OwnershipCode
     *
     * @returns {*}
     * @memberof Account
     */
    ownershipcode?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof Account
     */
    utcconversiontimezonecode?: any;

    /**
     * AccountNumber
     *
     * @returns {*}
     * @memberof Account
     */
    accountnumber?: any;

    /**
     * Address1_Telephone2
     *
     * @returns {*}
     * @memberof Account
     */
    address1_telephone2?: any;

    /**
     * OriginatingLeadIdYomiName
     *
     * @returns {*}
     * @memberof Account
     */
    originatingleadidyominame?: any;

    /**
     * Address1_Line1
     *
     * @returns {*}
     * @memberof Account
     */
    address1_line1?: any;

    /**
     * DoNotPhone
     *
     * @returns {*}
     * @memberof Account
     */
    donotphone?: any;

    /**
     * Address1_Telephone3
     *
     * @returns {*}
     * @memberof Account
     */
    address1_telephone3?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof Account
     */
    exchangerate?: any;

    /**
     * Address2_Line2
     *
     * @returns {*}
     * @memberof Account
     */
    address2_line2?: any;

    /**
     * Address2_Telephone3
     *
     * @returns {*}
     * @memberof Account
     */
    address2_telephone3?: any;

    /**
     * Address1_Telephone1
     *
     * @returns {*}
     * @memberof Account
     */
    address1_telephone1?: any;

    /**
     * Address1_Fax
     *
     * @returns {*}
     * @memberof Account
     */
    address1_fax?: any;

    /**
     * Address1_FreightTermsCode
     *
     * @returns {*}
     * @memberof Account
     */
    address1_freighttermscode?: any;

    /**
     * Description
     *
     * @returns {*}
     * @memberof Account
     */
    description?: any;

    /**
     * Merged
     *
     * @returns {*}
     * @memberof Account
     */
    merged?: any;

    /**
     * Address1_ShippingMethodCode
     *
     * @returns {*}
     * @memberof Account
     */
    address1_shippingmethodcode?: any;

    /**
     * Address1_Name
     *
     * @returns {*}
     * @memberof Account
     */
    address1_name?: any;

    /**
     * Aging30_Base
     *
     * @returns {*}
     * @memberof Account
     */
    aging30_base?: any;

    /**
     * Address2_Telephone2
     *
     * @returns {*}
     * @memberof Account
     */
    address2_telephone2?: any;

    /**
     * AccountId
     *
     * @returns {*}
     * @memberof Account
     */
    accountid?: any;

    /**
     * PrimaryTwitterId
     *
     * @returns {*}
     * @memberof Account
     */
    primarytwitterid?: any;

    /**
     * TickerSymbol
     *
     * @returns {*}
     * @memberof Account
     */
    tickersymbol?: any;

    /**
     * StockExchange
     *
     * @returns {*}
     * @memberof Account
     */
    stockexchange?: any;

    /**
     * Address2_StateOrProvince
     *
     * @returns {*}
     * @memberof Account
     */
    address2_stateorprovince?: any;

    /**
     * FtpSiteURL
     *
     * @returns {*}
     * @memberof Account
     */
    ftpsiteurl?: any;

    /**
     * StatusCode
     *
     * @returns {*}
     * @memberof Account
     */
    statuscode?: any;

    /**
     * WebSiteURL
     *
     * @returns {*}
     * @memberof Account
     */
    websiteurl?: any;

    /**
     * DoNotPostalMail
     *
     * @returns {*}
     * @memberof Account
     */
    donotpostalmail?: any;

    /**
     * Address1_City
     *
     * @returns {*}
     * @memberof Account
     */
    address1_city?: any;

    /**
     * Address2_Fax
     *
     * @returns {*}
     * @memberof Account
     */
    address2_fax?: any;

    /**
     * Aging90_Base
     *
     * @returns {*}
     * @memberof Account
     */
    aging90_base?: any;

    /**
     * OpenDeals_Date
     *
     * @returns {*}
     * @memberof Account
     */
    opendeals_date?: any;

    /**
     * TraversedPath
     *
     * @returns {*}
     * @memberof Account
     */
    traversedpath?: any;

    /**
     * ShippingMethodCode
     *
     * @returns {*}
     * @memberof Account
     */
    shippingmethodcode?: any;

    /**
     * Address1_Line2
     *
     * @returns {*}
     * @memberof Account
     */
    address1_line2?: any;

    /**
     * OpenRevenue_Base
     *
     * @returns {*}
     * @memberof Account
     */
    openrevenue_base?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof Account
     */
    updatedate?: any;

    /**
     * PreferredSystemUserIdYomiName
     *
     * @returns {*}
     * @memberof Account
     */
    preferredsystemuseridyominame?: any;

    /**
     * Address2_Line3
     *
     * @returns {*}
     * @memberof Account
     */
    address2_line3?: any;

    /**
     * Address1_PostalCode
     *
     * @returns {*}
     * @memberof Account
     */
    address1_postalcode?: any;

    /**
     * Address2_Latitude
     *
     * @returns {*}
     * @memberof Account
     */
    address2_latitude?: any;

    /**
     * Private
     *
     * @returns {*}
     * @memberof Account
     */
    ibizprivate?: any;

    /**
     * TerritoryCode
     *
     * @returns {*}
     * @memberof Account
     */
    territorycode?: any;

    /**
     * TeamsFollowed
     *
     * @returns {*}
     * @memberof Account
     */
    teamsfollowed?: any;

    /**
     * YomiName
     *
     * @returns {*}
     * @memberof Account
     */
    yominame?: any;

    /**
     * Address1_Latitude
     *
     * @returns {*}
     * @memberof Account
     */
    address1_latitude?: any;

    /**
     * Telephone3
     *
     * @returns {*}
     * @memberof Account
     */
    telephone3?: any;

    /**
     * OwnerId
     *
     * @returns {*}
     * @memberof Account
     */
    ownerid?: any;

    /**
     * Address2_Country
     *
     * @returns {*}
     * @memberof Account
     */
    address2_country?: any;

    /**
     * MasterAccountIdYomiName
     *
     * @returns {*}
     * @memberof Account
     */
    masteraccountidyominame?: any;

    /**
     * IndustryCode
     *
     * @returns {*}
     * @memberof Account
     */
    industrycode?: any;

    /**
     * LastOnHoldTime
     *
     * @returns {*}
     * @memberof Account
     */
    lastonholdtime?: any;

    /**
     * Address2_AddressId
     *
     * @returns {*}
     * @memberof Account
     */
    address2_addressid?: any;

    /**
     * OnHoldTime
     *
     * @returns {*}
     * @memberof Account
     */
    onholdtime?: any;

    /**
     * AccountClassificationCode
     *
     * @returns {*}
     * @memberof Account
     */
    accountclassificationcode?: any;

    /**
     * Address1_Country
     *
     * @returns {*}
     * @memberof Account
     */
    address1_country?: any;

    /**
     * Address1_AddressTypeCode
     *
     * @returns {*}
     * @memberof Account
     */
    address1_addresstypecode?: any;

    /**
     * StateCode
     *
     * @returns {*}
     * @memberof Account
     */
    statecode?: any;

    /**
     * Address2_AddressTypeCode
     *
     * @returns {*}
     * @memberof Account
     */
    address2_addresstypecode?: any;

    /**
     * AccountCategoryCode
     *
     * @returns {*}
     * @memberof Account
     */
    accountcategorycode?: any;

    /**
     * EMailAddress2
     *
     * @returns {*}
     * @memberof Account
     */
    emailaddress2?: any;

    /**
     * Address2_ShippingMethodCode
     *
     * @returns {*}
     * @memberof Account
     */
    address2_shippingmethodcode?: any;

    /**
     * ImportSequenceNumber
     *
     * @returns {*}
     * @memberof Account
     */
    importsequencenumber?: any;

    /**
     * PrimarySatoriId
     *
     * @returns {*}
     * @memberof Account
     */
    primarysatoriid?: any;

    /**
     * CustomerSizeCode
     *
     * @returns {*}
     * @memberof Account
     */
    customersizecode?: any;

    /**
     * OpenDeals
     *
     * @returns {*}
     * @memberof Account
     */
    opendeals?: any;

    /**
     * DoNotSendMM
     *
     * @returns {*}
     * @memberof Account
     */
    donotsendmm?: any;

    /**
     * ProcessId
     *
     * @returns {*}
     * @memberof Account
     */
    processid?: any;

    /**
     * PaymentTermsCode
     *
     * @returns {*}
     * @memberof Account
     */
    paymenttermscode?: any;

    /**
     * SIC
     *
     * @returns {*}
     * @memberof Account
     */
    sic?: any;

    /**
     * Address2_PrimaryContactName
     *
     * @returns {*}
     * @memberof Account
     */
    address2_primarycontactname?: any;

    /**
     * Address1_UTCOffset
     *
     * @returns {*}
     * @memberof Account
     */
    address1_utcoffset?: any;

    /**
     * OwnerIdYomiName
     *
     * @returns {*}
     * @memberof Account
     */
    owneridyominame?: any;

    /**
     * LastUsedInCampaign
     *
     * @returns {*}
     * @memberof Account
     */
    lastusedincampaign?: any;

    /**
     * Aging60_Base
     *
     * @returns {*}
     * @memberof Account
     */
    aging60_base?: any;

    /**
     * DoNotFax
     *
     * @returns {*}
     * @memberof Account
     */
    donotfax?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof Account
     */
    updateman?: any;

    /**
     * OpenRevenue_State
     *
     * @returns {*}
     * @memberof Account
     */
    openrevenue_state?: any;

    /**
     * OpenDeals_State
     *
     * @returns {*}
     * @memberof Account
     */
    opendeals_state?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof Account
     */
    versionnumber?: any;

    /**
     * Address1_Longitude
     *
     * @returns {*}
     * @memberof Account
     */
    address1_longitude?: any;

    /**
     * Aging90
     *
     * @returns {*}
     * @memberof Account
     */
    aging90?: any;

    /**
     * EntityImage_URL
     *
     * @returns {*}
     * @memberof Account
     */
    entityimage_url?: any;

    /**
     * CreditLimit
     *
     * @returns {*}
     * @memberof Account
     */
    creditlimit?: any;

    /**
     * PreferredSystemUserId
     *
     * @returns {*}
     * @memberof Account
     */
    preferredsystemuserid?: any;

    /**
     * Revenue
     *
     * @returns {*}
     * @memberof Account
     */
    revenue?: any;

    /**
     * Address1_County
     *
     * @returns {*}
     * @memberof Account
     */
    address1_county?: any;

    /**
     * Address1_Line3
     *
     * @returns {*}
     * @memberof Account
     */
    address1_line3?: any;

    /**
     * StageId
     *
     * @returns {*}
     * @memberof Account
     */
    stageid?: any;

    /**
     * DoNotEMail
     *
     * @returns {*}
     * @memberof Account
     */
    donotemail?: any;

    /**
     * Address2_PostalCode
     *
     * @returns {*}
     * @memberof Account
     */
    address2_postalcode?: any;

    /**
     * PreferredAppointmentTimeCode
     *
     * @returns {*}
     * @memberof Account
     */
    preferredappointmenttimecode?: any;

    /**
     * Address2_UPSZone
     *
     * @returns {*}
     * @memberof Account
     */
    address2_upszone?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof Account
     */
    createdate?: any;

    /**
     * Address2_County
     *
     * @returns {*}
     * @memberof Account
     */
    address2_county?: any;

    /**
     * OwnerIdType
     *
     * @returns {*}
     * @memberof Account
     */
    owneridtype?: any;

    /**
     * Address2_Composite
     *
     * @returns {*}
     * @memberof Account
     */
    address2_composite?: any;

    /**
     * Address2_Name
     *
     * @returns {*}
     * @memberof Account
     */
    address2_name?: any;

    /**
     * Address2_Line1
     *
     * @returns {*}
     * @memberof Account
     */
    address2_line1?: any;

    /**
     * MarketCap_Base
     *
     * @returns {*}
     * @memberof Account
     */
    marketcap_base?: any;

    /**
     * EMailAddress3
     *
     * @returns {*}
     * @memberof Account
     */
    emailaddress3?: any;

    /**
     * Telephone2
     *
     * @returns {*}
     * @memberof Account
     */
    telephone2?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof Account
     */
    createman?: any;

    /**
     * Address1_PostOfficeBox
     *
     * @returns {*}
     * @memberof Account
     */
    address1_postofficebox?: any;

    /**
     * CreditOnHold
     *
     * @returns {*}
     * @memberof Account
     */
    creditonhold?: any;

    /**
     * Address1_AddressId
     *
     * @returns {*}
     * @memberof Account
     */
    address1_addressid?: any;

    /**
     * Address2_PostOfficeBox
     *
     * @returns {*}
     * @memberof Account
     */
    address2_postofficebox?: any;

    /**
     * OriginatingLeadId
     *
     * @returns {*}
     * @memberof Account
     */
    originatingleadid?: any;

    /**
     * TransactionCurrencyId
     *
     * @returns {*}
     * @memberof Account
     */
    transactioncurrencyid?: any;

    /**
     * DefaultPriceLevelId
     *
     * @returns {*}
     * @memberof Account
     */
    defaultpricelevelid?: any;

    /**
     * ParentAccountId
     *
     * @returns {*}
     * @memberof Account
     */
    parentaccountid?: any;

    /**
     * PreferredEquipmentId
     *
     * @returns {*}
     * @memberof Account
     */
    preferredequipmentid?: any;

    /**
     * TerritoryId
     *
     * @returns {*}
     * @memberof Account
     */
    territoryid?: any;

    /**
     * PrimaryContactId
     *
     * @returns {*}
     * @memberof Account
     */
    primarycontactid?: any;

    /**
     * SLAId
     *
     * @returns {*}
     * @memberof Account
     */
    slaid?: any;

    /**
     * PreferredServiceId
     *
     * @returns {*}
     * @memberof Account
     */
    preferredserviceid?: any;
}