/**
 * 活动打印机
 *
 * @export
 * @interface ActivityPointer
 */
export interface ActivityPointer {

    /**
     * SeriesId
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    seriesid?: any;

    /**
     * TraversedPath
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    traversedpath?: any;

    /**
     * DeliveryPriorityCode
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    deliveryprioritycode?: any;

    /**
     * OnHoldTime
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    onholdtime?: any;

    /**
     * WorkflowCreated
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    workflowcreated?: any;

    /**
     * SentOn
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    senton?: any;

    /**
     * LastOnHoldTime
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    lastonholdtime?: any;

    /**
     * ActualDurationMinutes
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    actualdurationminutes?: any;

    /**
     * RegardingObjectId
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    regardingobjectid?: any;

    /**
     * DeliveryLastAttemptedOn
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    deliverylastattemptedon?: any;

    /**
     * MapiPrivate
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    mapiprivate?: any;

    /**
     * ActualEnd
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    actualend?: any;

    /**
     * Description
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    description?: any;

    /**
     * PriorityCode
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    prioritycode?: any;

    /**
     * OwnerIdType
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    owneridtype?: any;

    /**
     * Billed
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    billed?: any;

    /**
     * RegularActivity
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    regularactivity?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    utcconversiontimezonecode?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    createman?: any;

    /**
     * ScheduledDurationMinutes
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    scheduleddurationminutes?: any;

    /**
     * ActivityAdditionalParams
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    activityadditionalparams?: any;

    /**
     * ActivityId
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    activityid?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    updatedate?: any;

    /**
     * StageId
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    stageid?: any;

    /**
     * LeftVoiceMail
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    leftvoicemail?: any;

    /**
     * ScheduledEnd
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    scheduledend?: any;

    /**
     * ExchangeItemId
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    exchangeitemid?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    exchangerate?: any;

    /**
     * ScheduledStart
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    scheduledstart?: any;

    /**
     * InstanceTypeCode
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    instancetypecode?: any;

    /**
     * RegardingObjectIdYomiName
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    regardingobjectidyominame?: any;

    /**
     * RegardingObjectTypeCode
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    regardingobjecttypecode?: any;

    /**
     * SortDate
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    sortdate?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    createdate?: any;

    /**
     * OwnerIdYomiName
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    owneridyominame?: any;

    /**
     * Community
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    community?: any;

    /**
     * OwnerId
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    ownerid?: any;

    /**
     * ProcessId
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    processid?: any;

    /**
     * SLAName
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    slaname?: any;

    /**
     * Subject
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    subject?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    versionnumber?: any;

    /**
     * allparties
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    allparties?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    updateman?: any;

    /**
     * ExchangeWebLink
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    exchangeweblink?: any;

    /**
     * StatusCode
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    statuscode?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    timezoneruleversionnumber?: any;

    /**
     * ActualStart
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    actualstart?: any;

    /**
     * ActivityTypeCode
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    activitytypecode?: any;

    /**
     * RegardingObjectIdName
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    regardingobjectidname?: any;

    /**
     * StateCode
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    statecode?: any;

    /**
     * ServiceId
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    serviceid?: any;

    /**
     * TransactionCurrencyId
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    transactioncurrencyid?: any;

    /**
     * SLAId
     *
     * @returns {*}
     * @memberof ActivityPointer
     */
    slaid?: any;
}