/**
 * 联系人
 *
 * @export
 * @interface Contact
 */
export interface Contact {

    /**
     * Address1_FreightTermsCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_freighttermscode?: any;

    /**
     * Address3_City
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_city?: any;

    /**
     * Department
     *
     * @returns {*}
     * @memberof Contact
     */
    department?: any;

    /**
     * ParentCustomerIdType
     *
     * @returns {*}
     * @memberof Contact
     */
    parentcustomeridtype?: any;

    /**
     * Address1_StateOrProvince
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_stateorprovince?: any;

    /**
     * Aging90_Base
     *
     * @returns {*}
     * @memberof Contact
     */
    aging90_base?: any;

    /**
     * AccountIdYomiName
     *
     * @returns {*}
     * @memberof Contact
     */
    accountidyominame?: any;

    /**
     * DoNotBulkPostalMail
     *
     * @returns {*}
     * @memberof Contact
     */
    donotbulkpostalmail?: any;

    /**
     * ManagerName
     *
     * @returns {*}
     * @memberof Contact
     */
    managername?: any;

    /**
     * DoNotPostalMail
     *
     * @returns {*}
     * @memberof Contact
     */
    donotpostalmail?: any;

    /**
     * SpousesName
     *
     * @returns {*}
     * @memberof Contact
     */
    spousesname?: any;

    /**
     * FamilyStatusCode
     *
     * @returns {*}
     * @memberof Contact
     */
    familystatuscode?: any;

    /**
     * OwnerIdType
     *
     * @returns {*}
     * @memberof Contact
     */
    owneridtype?: any;

    /**
     * Address3_Composite
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_composite?: any;

    /**
     * Address3_ShippingMethodCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_shippingmethodcode?: any;

    /**
     * LastName
     *
     * @returns {*}
     * @memberof Contact
     */
    lastname?: any;

    /**
     * LastOnHoldTime
     *
     * @returns {*}
     * @memberof Contact
     */
    lastonholdtime?: any;

    /**
     * EducationCode
     *
     * @returns {*}
     * @memberof Contact
     */
    educationcode?: any;

    /**
     * Address2_Line1
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_line1?: any;

    /**
     * BirthDate
     *
     * @returns {*}
     * @memberof Contact
     */
    birthdate?: any;

    /**
     * OwnerIdYomiName
     *
     * @returns {*}
     * @memberof Contact
     */
    owneridyominame?: any;

    /**
     * HasChildrenCode
     *
     * @returns {*}
     * @memberof Contact
     */
    haschildrencode?: any;

    /**
     * Company
     *
     * @returns {*}
     * @memberof Contact
     */
    company?: any;

    /**
     * Address2_Fax
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_fax?: any;

    /**
     * AssistantPhone
     *
     * @returns {*}
     * @memberof Contact
     */
    assistantphone?: any;

    /**
     * Callback
     *
     * @returns {*}
     * @memberof Contact
     */
    callback?: any;

    /**
     * PaymentTermsCode
     *
     * @returns {*}
     * @memberof Contact
     */
    paymenttermscode?: any;

    /**
     * Address2_Telephone1
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_telephone1?: any;

    /**
     * MarketingOnly
     *
     * @returns {*}
     * @memberof Contact
     */
    marketingonly?: any;

    /**
     * Address2_UTCOffset
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_utcoffset?: any;

    /**
     * Address2_ShippingMethodCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_shippingmethodcode?: any;

    /**
     * TraversedPath
     *
     * @returns {*}
     * @memberof Contact
     */
    traversedpath?: any;

    /**
     * EmployeeId
     *
     * @returns {*}
     * @memberof Contact
     */
    employeeid?: any;

    /**
     * CreditLimit_Base
     *
     * @returns {*}
     * @memberof Contact
     */
    creditlimit_base?: any;

    /**
     * FollowEmail
     *
     * @returns {*}
     * @memberof Contact
     */
    followemail?: any;

    /**
     * Address3_PostalCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_postalcode?: any;

    /**
     * Merged
     *
     * @returns {*}
     * @memberof Contact
     */
    merged?: any;

    /**
     * JobTitle
     *
     * @returns {*}
     * @memberof Contact
     */
    jobtitle?: any;

    /**
     * Address1_Telephone1
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_telephone1?: any;

    /**
     * CustomerSizeCode
     *
     * @returns {*}
     * @memberof Contact
     */
    customersizecode?: any;

    /**
     * Address3_AddressTypeCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_addresstypecode?: any;

    /**
     * Pager
     *
     * @returns {*}
     * @memberof Contact
     */
    pager?: any;

    /**
     * AssistantName
     *
     * @returns {*}
     * @memberof Contact
     */
    assistantname?: any;

    /**
     * Address1_Composite
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_composite?: any;

    /**
     * Address1_Line1
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_line1?: any;

    /**
     * YomiMiddleName
     *
     * @returns {*}
     * @memberof Contact
     */
    yomimiddlename?: any;

    /**
     * Address1_Telephone3
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_telephone3?: any;

    /**
     * Telephone2
     *
     * @returns {*}
     * @memberof Contact
     */
    telephone2?: any;

    /**
     * Address2_AddressId
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_addressid?: any;

    /**
     * ParentContactIdYomiName
     *
     * @returns {*}
     * @memberof Contact
     */
    parentcontactidyominame?: any;

    /**
     * LeadSourceCode
     *
     * @returns {*}
     * @memberof Contact
     */
    leadsourcecode?: any;

    /**
     * StateCode
     *
     * @returns {*}
     * @memberof Contact
     */
    statecode?: any;

    /**
     * Address2_FreightTermsCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_freighttermscode?: any;

    /**
     * EMailAddress1
     *
     * @returns {*}
     * @memberof Contact
     */
    emailaddress1?: any;

    /**
     * EntityImage_Timestamp
     *
     * @returns {*}
     * @memberof Contact
     */
    entityimage_timestamp?: any;

    /**
     * Address3_Line1
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_line1?: any;

    /**
     * Salutation
     *
     * @returns {*}
     * @memberof Contact
     */
    salutation?: any;

    /**
     * Address1_Line3
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_line3?: any;

    /**
     * Address3_PrimaryContactName
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_primarycontactname?: any;

    /**
     * Private
     *
     * @returns {*}
     * @memberof Contact
     */
    ibizprivate?: any;

    /**
     * DoNotFax
     *
     * @returns {*}
     * @memberof Contact
     */
    donotfax?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof Contact
     */
    createdate?: any;

    /**
     * PreferredSystemUserIdYomiName
     *
     * @returns {*}
     * @memberof Contact
     */
    preferredsystemuseridyominame?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof Contact
     */
    updatedate?: any;

    /**
     * Address3_StateOrProvince
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_stateorprovince?: any;

    /**
     * Address3_Line3
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_line3?: any;

    /**
     * CreditLimit
     *
     * @returns {*}
     * @memberof Contact
     */
    creditlimit?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof Contact
     */
    timezoneruleversionnumber?: any;

    /**
     * ParentCustomerId
     *
     * @returns {*}
     * @memberof Contact
     */
    parentcustomerid?: any;

    /**
     * ChildrensNames
     *
     * @returns {*}
     * @memberof Contact
     */
    childrensnames?: any;

    /**
     * Address1_AddressTypeCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_addresstypecode?: any;

    /**
     * AccountRoleCode
     *
     * @returns {*}
     * @memberof Contact
     */
    accountrolecode?: any;

    /**
     * DoNotPhone
     *
     * @returns {*}
     * @memberof Contact
     */
    donotphone?: any;

    /**
     * ManagerPhone
     *
     * @returns {*}
     * @memberof Contact
     */
    managerphone?: any;

    /**
     * CreditOnHold
     *
     * @returns {*}
     * @memberof Contact
     */
    creditonhold?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof Contact
     */
    updateman?: any;

    /**
     * Address2_PostalCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_postalcode?: any;

    /**
     * Address1_Line2
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_line2?: any;

    /**
     * NickName
     *
     * @returns {*}
     * @memberof Contact
     */
    nickname?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof Contact
     */
    versionnumber?: any;

    /**
     * YomiFullName
     *
     * @returns {*}
     * @memberof Contact
     */
    yomifullname?: any;

    /**
     * EntityImage
     *
     * @returns {*}
     * @memberof Contact
     */
    entityimage?: any;

    /**
     * ShippingMethodCode
     *
     * @returns {*}
     * @memberof Contact
     */
    shippingmethodcode?: any;

    /**
     * CustomerTypeCode
     *
     * @returns {*}
     * @memberof Contact
     */
    customertypecode?: any;

    /**
     * Address2_County
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_county?: any;

    /**
     * Aging90
     *
     * @returns {*}
     * @memberof Contact
     */
    aging90?: any;

    /**
     * Address2_StateOrProvince
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_stateorprovince?: any;

    /**
     * Address3_UTCOffset
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_utcoffset?: any;

    /**
     * FullName
     *
     * @returns {*}
     * @memberof Contact
     */
    fullname?: any;

    /**
     * ParticipatesInWorkflow
     *
     * @returns {*}
     * @memberof Contact
     */
    participatesinworkflow?: any;

    /**
     * WebSiteUrl
     *
     * @returns {*}
     * @memberof Contact
     */
    websiteurl?: any;

    /**
     * Description
     *
     * @returns {*}
     * @memberof Contact
     */
    description?: any;

    /**
     * Address3_Telephone1
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_telephone1?: any;

    /**
     * Address2_UPSZone
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_upszone?: any;

    /**
     * Address3_County
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_county?: any;

    /**
     * EntityImage_URL
     *
     * @returns {*}
     * @memberof Contact
     */
    entityimage_url?: any;

    /**
     * Address3_UPSZone
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_upszone?: any;

    /**
     * Address1_Name
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_name?: any;

    /**
     * MasterContactIdYomiName
     *
     * @returns {*}
     * @memberof Contact
     */
    mastercontactidyominame?: any;

    /**
     * SLAName
     *
     * @returns {*}
     * @memberof Contact
     */
    slaname?: any;

    /**
     * AutoCreate
     *
     * @returns {*}
     * @memberof Contact
     */
    autocreate?: any;

    /**
     * BackofficeCustomer
     *
     * @returns {*}
     * @memberof Contact
     */
    backofficecustomer?: any;

    /**
     * Address2_Longitude
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_longitude?: any;

    /**
     * Address1_Fax
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_fax?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof Contact
     */
    exchangerate?: any;

    /**
     * Address1_City
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_city?: any;

    /**
     * EntityImageId
     *
     * @returns {*}
     * @memberof Contact
     */
    entityimageid?: any;

    /**
     * Address1_Telephone2
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_telephone2?: any;

    /**
     * Address2_Composite
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_composite?: any;

    /**
     * ImportSequenceNumber
     *
     * @returns {*}
     * @memberof Contact
     */
    importsequencenumber?: any;

    /**
     * GenderCode
     *
     * @returns {*}
     * @memberof Contact
     */
    gendercode?: any;

    /**
     * AnnualIncome
     *
     * @returns {*}
     * @memberof Contact
     */
    annualincome?: any;

    /**
     * SubscriptionId
     *
     * @returns {*}
     * @memberof Contact
     */
    subscriptionid?: any;

    /**
     * TerritoryCode
     *
     * @returns {*}
     * @memberof Contact
     */
    territorycode?: any;

    /**
     * FirstName
     *
     * @returns {*}
     * @memberof Contact
     */
    firstname?: any;

    /**
     * OverriddenCreatedOn
     *
     * @returns {*}
     * @memberof Contact
     */
    overriddencreatedon?: any;

    /**
     * Address3_Country
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_country?: any;

    /**
     * YomiLastName
     *
     * @returns {*}
     * @memberof Contact
     */
    yomilastname?: any;

    /**
     * DoNotBulkEMail
     *
     * @returns {*}
     * @memberof Contact
     */
    donotbulkemail?: any;

    /**
     * Address3_Telephone2
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_telephone2?: any;

    /**
     * OwnerId
     *
     * @returns {*}
     * @memberof Contact
     */
    ownerid?: any;

    /**
     * ExternalUserIdentifier
     *
     * @returns {*}
     * @memberof Contact
     */
    externaluseridentifier?: any;

    /**
     * TeamsFollowed
     *
     * @returns {*}
     * @memberof Contact
     */
    teamsfollowed?: any;

    /**
     * DoNotEMail
     *
     * @returns {*}
     * @memberof Contact
     */
    donotemail?: any;

    /**
     * Anniversary
     *
     * @returns {*}
     * @memberof Contact
     */
    anniversary?: any;

    /**
     * PreferredAppointmentDayCode
     *
     * @returns {*}
     * @memberof Contact
     */
    preferredappointmentdaycode?: any;

    /**
     * MiddleName
     *
     * @returns {*}
     * @memberof Contact
     */
    middlename?: any;

    /**
     * EMailAddress3
     *
     * @returns {*}
     * @memberof Contact
     */
    emailaddress3?: any;

    /**
     * Address2_Telephone2
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_telephone2?: any;

    /**
     * Fax
     *
     * @returns {*}
     * @memberof Contact
     */
    fax?: any;

    /**
     * MobilePhone
     *
     * @returns {*}
     * @memberof Contact
     */
    mobilephone?: any;

    /**
     * Home2
     *
     * @returns {*}
     * @memberof Contact
     */
    home2?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof Contact
     */
    createman?: any;

    /**
     * OnHoldTime
     *
     * @returns {*}
     * @memberof Contact
     */
    onholdtime?: any;

    /**
     * PreferredAppointmentTimeCode
     *
     * @returns {*}
     * @memberof Contact
     */
    preferredappointmenttimecode?: any;

    /**
     * StatusCode
     *
     * @returns {*}
     * @memberof Contact
     */
    statuscode?: any;

    /**
     * GovernmentId
     *
     * @returns {*}
     * @memberof Contact
     */
    governmentid?: any;

    /**
     * Address3_Telephone3
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_telephone3?: any;

    /**
     * Business2
     *
     * @returns {*}
     * @memberof Contact
     */
    business2?: any;

    /**
     * PreferredSystemUserId
     *
     * @returns {*}
     * @memberof Contact
     */
    preferredsystemuserid?: any;

    /**
     * Address1_UPSZone
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_upszone?: any;

    /**
     * Aging60
     *
     * @returns {*}
     * @memberof Contact
     */
    aging60?: any;

    /**
     * YomiFirstName
     *
     * @returns {*}
     * @memberof Contact
     */
    yomifirstname?: any;

    /**
     * Address3_PostOfficeBox
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_postofficebox?: any;

    /**
     * OriginatingLeadIdYomiName
     *
     * @returns {*}
     * @memberof Contact
     */
    originatingleadidyominame?: any;

    /**
     * Address2_City
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_city?: any;

    /**
     * ProcessId
     *
     * @returns {*}
     * @memberof Contact
     */
    processid?: any;

    /**
     * AnnualIncome_Base
     *
     * @returns {*}
     * @memberof Contact
     */
    annualincome_base?: any;

    /**
     * Address3_AddressId
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_addressid?: any;

    /**
     * ParentCustomerIdYomiName
     *
     * @returns {*}
     * @memberof Contact
     */
    parentcustomeridyominame?: any;

    /**
     * ContactId
     *
     * @returns {*}
     * @memberof Contact
     */
    contactid?: any;

    /**
     * Aging60_Base
     *
     * @returns {*}
     * @memberof Contact
     */
    aging60_base?: any;

    /**
     * Address3_Latitude
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_latitude?: any;

    /**
     * Telephone3
     *
     * @returns {*}
     * @memberof Contact
     */
    telephone3?: any;

    /**
     * Address1_PrimaryContactName
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_primarycontactname?: any;

    /**
     * Address3_Fax
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_fax?: any;

    /**
     * PreferredContactMethodCode
     *
     * @returns {*}
     * @memberof Contact
     */
    preferredcontactmethodcode?: any;

    /**
     * Address1_UTCOffset
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_utcoffset?: any;

    /**
     * DoNotSendMM
     *
     * @returns {*}
     * @memberof Contact
     */
    donotsendmm?: any;

    /**
     * Address2_Telephone3
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_telephone3?: any;

    /**
     * Address2_Country
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_country?: any;

    /**
     * Aging30
     *
     * @returns {*}
     * @memberof Contact
     */
    aging30?: any;

    /**
     * Address2_PostOfficeBox
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_postofficebox?: any;

    /**
     * Telephone1
     *
     * @returns {*}
     * @memberof Contact
     */
    telephone1?: any;

    /**
     * Address3_Longitude
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_longitude?: any;

    /**
     * LastUsedInCampaign
     *
     * @returns {*}
     * @memberof Contact
     */
    lastusedincampaign?: any;

    /**
     * FtpSiteUrl
     *
     * @returns {*}
     * @memberof Contact
     */
    ftpsiteurl?: any;

    /**
     * Aging30_Base
     *
     * @returns {*}
     * @memberof Contact
     */
    aging30_base?: any;

    /**
     * Address2_Name
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_name?: any;

    /**
     * Suffix
     *
     * @returns {*}
     * @memberof Contact
     */
    suffix?: any;

    /**
     * Address1_County
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_county?: any;

    /**
     * Address2_AddressTypeCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_addresstypecode?: any;

    /**
     * Address1_Longitude
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_longitude?: any;

    /**
     * Address3_Line2
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_line2?: any;

    /**
     * Address1_AddressId
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_addressid?: any;

    /**
     * Address2_Line3
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_line3?: any;

    /**
     * Address2_Latitude
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_latitude?: any;

    /**
     * Address2_Line2
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_line2?: any;

    /**
     * Address1_ShippingMethodCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_shippingmethodcode?: any;

    /**
     * Address3_FreightTermsCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_freighttermscode?: any;

    /**
     * Address1_PostOfficeBox
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_postofficebox?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof Contact
     */
    utcconversiontimezonecode?: any;

    /**
     * Address3_Name
     *
     * @returns {*}
     * @memberof Contact
     */
    address3_name?: any;

    /**
     * Address1_Latitude
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_latitude?: any;

    /**
     * NumberOfChildren
     *
     * @returns {*}
     * @memberof Contact
     */
    numberofchildren?: any;

    /**
     * Address2_PrimaryContactName
     *
     * @returns {*}
     * @memberof Contact
     */
    address2_primarycontactname?: any;

    /**
     * Address1_PostalCode
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_postalcode?: any;

    /**
     * StageId
     *
     * @returns {*}
     * @memberof Contact
     */
    stageid?: any;

    /**
     * Address1_Country
     *
     * @returns {*}
     * @memberof Contact
     */
    address1_country?: any;

    /**
     * EMailAddress2
     *
     * @returns {*}
     * @memberof Contact
     */
    emailaddress2?: any;

    /**
     * DefaultPriceLevelId
     *
     * @returns {*}
     * @memberof Contact
     */
    defaultpricelevelid?: any;

    /**
     * PreferredEquipmentId
     *
     * @returns {*}
     * @memberof Contact
     */
    preferredequipmentid?: any;

    /**
     * TransactionCurrencyId
     *
     * @returns {*}
     * @memberof Contact
     */
    transactioncurrencyid?: any;

    /**
     * SLAId
     *
     * @returns {*}
     * @memberof Contact
     */
    slaid?: any;

    /**
     * OriginatingLeadId
     *
     * @returns {*}
     * @memberof Contact
     */
    originatingleadid?: any;

    /**
     * PreferredServiceId
     *
     * @returns {*}
     * @memberof Contact
     */
    preferredserviceid?: any;
}