/**
 * 目标
 *
 * @export
 * @interface Goal
 */
export interface Goal {

    /**
     * InProgressDecimal
     *
     * @returns {*}
     * @memberof Goal
     */
    inprogressdecimal?: any;

    /**
     * GoalId
     *
     * @returns {*}
     * @memberof Goal
     */
    goalid?: any;

    /**
     * StretchTargetMoney
     *
     * @returns {*}
     * @memberof Goal
     */
    stretchtargetmoney?: any;

    /**
     * ActualDecimal
     *
     * @returns {*}
     * @memberof Goal
     */
    actualdecimal?: any;

    /**
     * ComputedTargetAsOfTodayInteger
     *
     * @returns {*}
     * @memberof Goal
     */
    computedtargetasoftodayinteger?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof Goal
     */
    timezoneruleversionnumber?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof Goal
     */
    exchangerate?: any;

    /**
     * EntityImageId
     *
     * @returns {*}
     * @memberof Goal
     */
    entityimageid?: any;

    /**
     * TargetInteger
     *
     * @returns {*}
     * @memberof Goal
     */
    targetinteger?: any;

    /**
     * CustomRollupFieldMoney_Base
     *
     * @returns {*}
     * @memberof Goal
     */
    customrollupfieldmoney_base?: any;

    /**
     * EntityImage_URL
     *
     * @returns {*}
     * @memberof Goal
     */
    entityimage_url?: any;

    /**
     * ActualMoney_Base
     *
     * @returns {*}
     * @memberof Goal
     */
    actualmoney_base?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof Goal
     */
    utcconversiontimezonecode?: any;

    /**
     * InProgressInteger
     *
     * @returns {*}
     * @memberof Goal
     */
    inprogressinteger?: any;

    /**
     * StateCode
     *
     * @returns {*}
     * @memberof Goal
     */
    statecode?: any;

    /**
     * TargetMoney_Base
     *
     * @returns {*}
     * @memberof Goal
     */
    targetmoney_base?: any;

    /**
     * InProgressString
     *
     * @returns {*}
     * @memberof Goal
     */
    inprogressstring?: any;

    /**
     * EntityImage_Timestamp
     *
     * @returns {*}
     * @memberof Goal
     */
    entityimage_timestamp?: any;

    /**
     * GoalStartDate
     *
     * @returns {*}
     * @memberof Goal
     */
    goalstartdate?: any;

    /**
     * Percentage
     *
     * @returns {*}
     * @memberof Goal
     */
    percentage?: any;

    /**
     * OwnerId
     *
     * @returns {*}
     * @memberof Goal
     */
    ownerid?: any;

    /**
     * GoalOwnerIdYomiName
     *
     * @returns {*}
     * @memberof Goal
     */
    goalowneridyominame?: any;

    /**
     * TargetDecimal
     *
     * @returns {*}
     * @memberof Goal
     */
    targetdecimal?: any;

    /**
     * Amount
     *
     * @returns {*}
     * @memberof Goal
     */
    amount?: any;

    /**
     * StatusCode
     *
     * @returns {*}
     * @memberof Goal
     */
    statuscode?: any;

    /**
     * AmountDataType
     *
     * @returns {*}
     * @memberof Goal
     */
    amountdatatype?: any;

    /**
     * CustomRollupFieldInteger
     *
     * @returns {*}
     * @memberof Goal
     */
    customrollupfieldinteger?: any;

    /**
     * OwnerIdType
     *
     * @returns {*}
     * @memberof Goal
     */
    owneridtype?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof Goal
     */
    updatedate?: any;

    /**
     * InProgressMoney
     *
     * @returns {*}
     * @memberof Goal
     */
    inprogressmoney?: any;

    /**
     * FiscalYear
     *
     * @returns {*}
     * @memberof Goal
     */
    fiscalyear?: any;

    /**
     * FiscalPeriod
     *
     * @returns {*}
     * @memberof Goal
     */
    fiscalperiod?: any;

    /**
     * Title
     *
     * @returns {*}
     * @memberof Goal
     */
    title?: any;

    /**
     * StretchTargetDecimal
     *
     * @returns {*}
     * @memberof Goal
     */
    stretchtargetdecimal?: any;

    /**
     * CustomRollupFieldDecimal
     *
     * @returns {*}
     * @memberof Goal
     */
    customrollupfielddecimal?: any;

    /**
     * ConsiderOnlyGoalOwnersRecords
     *
     * @returns {*}
     * @memberof Goal
     */
    consideronlygoalownersrecords?: any;

    /**
     * OverriddenCreatedOn
     *
     * @returns {*}
     * @memberof Goal
     */
    overriddencreatedon?: any;

    /**
     * ActualMoney
     *
     * @returns {*}
     * @memberof Goal
     */
    actualmoney?: any;

    /**
     * RollupOnlyFromChildGoals
     *
     * @returns {*}
     * @memberof Goal
     */
    rolluponlyfromchildgoals?: any;

    /**
     * GoalEndDate
     *
     * @returns {*}
     * @memberof Goal
     */
    goalenddate?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof Goal
     */
    createdate?: any;

    /**
     * CustomRollupFieldMoney
     *
     * @returns {*}
     * @memberof Goal
     */
    customrollupfieldmoney?: any;

    /**
     * RollupErrorCode
     *
     * @returns {*}
     * @memberof Goal
     */
    rolluperrorcode?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof Goal
     */
    versionnumber?: any;

    /**
     * StretchTargetMoney_Base
     *
     * @returns {*}
     * @memberof Goal
     */
    stretchtargetmoney_base?: any;

    /**
     * TreeId
     *
     * @returns {*}
     * @memberof Goal
     */
    treeid?: any;

    /**
     * EntityImage
     *
     * @returns {*}
     * @memberof Goal
     */
    entityimage?: any;

    /**
     * StretchTargetString
     *
     * @returns {*}
     * @memberof Goal
     */
    stretchtargetstring?: any;

    /**
     * StretchTargetInteger
     *
     * @returns {*}
     * @memberof Goal
     */
    stretchtargetinteger?: any;

    /**
     * FiscalPeriodGoal
     *
     * @returns {*}
     * @memberof Goal
     */
    fiscalperiodgoal?: any;

    /**
     * InProgressMoney_Base
     *
     * @returns {*}
     * @memberof Goal
     */
    inprogressmoney_base?: any;

    /**
     * Overridden
     *
     * @returns {*}
     * @memberof Goal
     */
    overridden?: any;

    /**
     * ActualString
     *
     * @returns {*}
     * @memberof Goal
     */
    actualstring?: any;

    /**
     * ActualInteger
     *
     * @returns {*}
     * @memberof Goal
     */
    actualinteger?: any;

    /**
     * GoalOwnerIdType
     *
     * @returns {*}
     * @memberof Goal
     */
    goalowneridtype?: any;

    /**
     * ImportSequenceNumber
     *
     * @returns {*}
     * @memberof Goal
     */
    importsequencenumber?: any;

    /**
     * GoalOwnerId
     *
     * @returns {*}
     * @memberof Goal
     */
    goalownerid?: any;

    /**
     * ComputedTargetAsOfTodayDecimal
     *
     * @returns {*}
     * @memberof Goal
     */
    computedtargetasoftodaydecimal?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof Goal
     */
    createman?: any;

    /**
     * TargetString
     *
     * @returns {*}
     * @memberof Goal
     */
    targetstring?: any;

    /**
     * CustomRollupFieldString
     *
     * @returns {*}
     * @memberof Goal
     */
    customrollupfieldstring?: any;

    /**
     * TargetMoney
     *
     * @returns {*}
     * @memberof Goal
     */
    targetmoney?: any;

    /**
     * LastRolledupDate
     *
     * @returns {*}
     * @memberof Goal
     */
    lastrolledupdate?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof Goal
     */
    updateman?: any;

    /**
     * Override
     *
     * @returns {*}
     * @memberof Goal
     */
    override?: any;

    /**
     * ComputedTargetAsOfTodayMoney
     *
     * @returns {*}
     * @memberof Goal
     */
    computedtargetasoftodaymoney?: any;

    /**
     * OwnerIdYomiName
     *
     * @returns {*}
     * @memberof Goal
     */
    owneridyominame?: any;

    /**
     * ParentGoalId
     *
     * @returns {*}
     * @memberof Goal
     */
    parentgoalid?: any;

    /**
     * RollUpQueryInprogressMoneyId
     *
     * @returns {*}
     * @memberof Goal
     */
    rollupqueryinprogressmoneyid?: any;

    /**
     * RollUpQueryCustomMoneyId
     *
     * @returns {*}
     * @memberof Goal
     */
    rollupquerycustommoneyid?: any;

    /**
     * RollUpQueryInprogressIntegerId
     *
     * @returns {*}
     * @memberof Goal
     */
    rollupqueryinprogressintegerid?: any;

    /**
     * RollUpQueryCustomDecimalId
     *
     * @returns {*}
     * @memberof Goal
     */
    rollupquerycustomdecimalid?: any;

    /**
     * RollUpQueryActualMoneyId
     *
     * @returns {*}
     * @memberof Goal
     */
    rollupqueryactualmoneyid?: any;

    /**
     * RollUpQueryCustomIntegerId
     *
     * @returns {*}
     * @memberof Goal
     */
    rollupquerycustomintegerid?: any;

    /**
     * GoalWithErrorId
     *
     * @returns {*}
     * @memberof Goal
     */
    goalwitherrorid?: any;

    /**
     * MetricId
     *
     * @returns {*}
     * @memberof Goal
     */
    metricid?: any;

    /**
     * RollUpQueryInprogressDecimalId
     *
     * @returns {*}
     * @memberof Goal
     */
    rollupqueryinprogressdecimalid?: any;

    /**
     * RollupQueryActualIntegerId
     *
     * @returns {*}
     * @memberof Goal
     */
    rollupqueryactualintegerid?: any;

    /**
     * RollUpQueryActualDecimalId
     *
     * @returns {*}
     * @memberof Goal
     */
    rollupqueryactualdecimalid?: any;
}