/**
 * 商机
 *
 * @export
 * @interface Opportunity
 */
export interface Opportunity {

    /**
     * DecisionMaker
     *
     * @returns {*}
     * @memberof Opportunity
     */
    decisionmaker?: any;

    /**
     * TotalLineItemAmount
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totallineitemamount?: any;

    /**
     * ProcessId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    processid?: any;

    /**
     * DiscountPercentage
     *
     * @returns {*}
     * @memberof Opportunity
     */
    discountpercentage?: any;

    /**
     * PricingErrorCode
     *
     * @returns {*}
     * @memberof Opportunity
     */
    pricingerrorcode?: any;

    /**
     * TotalAmount
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totalamount?: any;

    /**
     * TotalTax_Base
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totaltax_base?: any;

    /**
     * TotalTax
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totaltax?: any;

    /**
     * UpdateMan
     *
     * @returns {*}
     * @memberof Opportunity
     */
    updateman?: any;

    /**
     * EstimatedValue_Base
     *
     * @returns {*}
     * @memberof Opportunity
     */
    estimatedvalue_base?: any;

    /**
     * ParentContactIdYomiName
     *
     * @returns {*}
     * @memberof Opportunity
     */
    parentcontactidyominame?: any;

    /**
     * PresentFinalProposal
     *
     * @returns {*}
     * @memberof Opportunity
     */
    presentfinalproposal?: any;

    /**
     * DevelopProposal
     *
     * @returns {*}
     * @memberof Opportunity
     */
    developproposal?: any;

    /**
     * OpportunityRatingCode
     *
     * @returns {*}
     * @memberof Opportunity
     */
    opportunityratingcode?: any;

    /**
     * TotalAmount_Base
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totalamount_base?: any;

    /**
     * TotalAmountLessFreight
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totalamountlessfreight?: any;

    /**
     * Description
     *
     * @returns {*}
     * @memberof Opportunity
     */
    description?: any;

    /**
     * IdentifyCompetitors
     *
     * @returns {*}
     * @memberof Opportunity
     */
    identifycompetitors?: any;

    /**
     * UpdateDate
     *
     * @returns {*}
     * @memberof Opportunity
     */
    updatedate?: any;

    /**
     * SendThankYouNote
     *
     * @returns {*}
     * @memberof Opportunity
     */
    sendthankyounote?: any;

    /**
     * TotalDiscountAmount_Base
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totaldiscountamount_base?: any;

    /**
     * TotalLineItemDiscountAmount
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totallineitemdiscountamount?: any;

    /**
     * PurchaseProcess
     *
     * @returns {*}
     * @memberof Opportunity
     */
    purchaseprocess?: any;

    /**
     * TraversedPath
     *
     * @returns {*}
     * @memberof Opportunity
     */
    traversedpath?: any;

    /**
     * CaptureProposalFeedback
     *
     * @returns {*}
     * @memberof Opportunity
     */
    captureproposalfeedback?: any;

    /**
     * FinalDecisionDate
     *
     * @returns {*}
     * @memberof Opportunity
     */
    finaldecisiondate?: any;

    /**
     * StepId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    stepid?: any;

    /**
     * ResolveFeedback
     *
     * @returns {*}
     * @memberof Opportunity
     */
    resolvefeedback?: any;

    /**
     * BudgetAmount_Base
     *
     * @returns {*}
     * @memberof Opportunity
     */
    budgetamount_base?: any;

    /**
     * OwnerIdYomiName
     *
     * @returns {*}
     * @memberof Opportunity
     */
    owneridyominame?: any;

    /**
     * PursuitDecision
     *
     * @returns {*}
     * @memberof Opportunity
     */
    pursuitdecision?: any;

    /**
     * RevenueSystemCalculated
     *
     * @returns {*}
     * @memberof Opportunity
     */
    revenuesystemcalculated?: any;

    /**
     * ScheduleProposalMeeting
     *
     * @returns {*}
     * @memberof Opportunity
     */
    scheduleproposalmeeting?: any;

    /**
     * CloseProbability
     *
     * @returns {*}
     * @memberof Opportunity
     */
    closeprobability?: any;

    /**
     * UTCConversionTimeZoneCode
     *
     * @returns {*}
     * @memberof Opportunity
     */
    utcconversiontimezonecode?: any;

    /**
     * PresentProposal
     *
     * @returns {*}
     * @memberof Opportunity
     */
    presentproposal?: any;

    /**
     * ScheduleFollowup_Prospect
     *
     * @returns {*}
     * @memberof Opportunity
     */
    schedulefollowup_prospect?: any;

    /**
     * StatusCode
     *
     * @returns {*}
     * @memberof Opportunity
     */
    statuscode?: any;

    /**
     * ActualCloseDate
     *
     * @returns {*}
     * @memberof Opportunity
     */
    actualclosedate?: any;

    /**
     * ConfirmInterest
     *
     * @returns {*}
     * @memberof Opportunity
     */
    confirminterest?: any;

    /**
     * CustomerId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    customerid?: any;

    /**
     * SalesStage
     *
     * @returns {*}
     * @memberof Opportunity
     */
    salesstage?: any;

    /**
     * OpportunityId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    opportunityid?: any;

    /**
     * OnHoldTime
     *
     * @returns {*}
     * @memberof Opportunity
     */
    onholdtime?: any;

    /**
     * QualificationComments
     *
     * @returns {*}
     * @memberof Opportunity
     */
    qualificationcomments?: any;

    /**
     * AccountIdYomiName
     *
     * @returns {*}
     * @memberof Opportunity
     */
    accountidyominame?: any;

    /**
     * ScheduleFollowup_Qualify
     *
     * @returns {*}
     * @memberof Opportunity
     */
    schedulefollowup_qualify?: any;

    /**
     * ParticipatesInWorkflow
     *
     * @returns {*}
     * @memberof Opportunity
     */
    participatesinworkflow?: any;

    /**
     * ExchangeRate
     *
     * @returns {*}
     * @memberof Opportunity
     */
    exchangerate?: any;

    /**
     * StepName
     *
     * @returns {*}
     * @memberof Opportunity
     */
    stepname?: any;

    /**
     * CustomerNeed
     *
     * @returns {*}
     * @memberof Opportunity
     */
    customerneed?: any;

    /**
     * ImportSequenceNumber
     *
     * @returns {*}
     * @memberof Opportunity
     */
    importsequencenumber?: any;

    /**
     * CompleteInternalReview
     *
     * @returns {*}
     * @memberof Opportunity
     */
    completeinternalreview?: any;

    /**
     * EvaluateFit
     *
     * @returns {*}
     * @memberof Opportunity
     */
    evaluatefit?: any;

    /**
     * SalesStageCode
     *
     * @returns {*}
     * @memberof Opportunity
     */
    salesstagecode?: any;

    /**
     * IdentifyPursuitTeam
     *
     * @returns {*}
     * @memberof Opportunity
     */
    identifypursuitteam?: any;

    /**
     * ContactIdYomiName
     *
     * @returns {*}
     * @memberof Opportunity
     */
    contactidyominame?: any;

    /**
     * InitialCommunication
     *
     * @returns {*}
     * @memberof Opportunity
     */
    initialcommunication?: any;

    /**
     * VersionNumber
     *
     * @returns {*}
     * @memberof Opportunity
     */
    versionnumber?: any;

    /**
     * FreightAmount_Base
     *
     * @returns {*}
     * @memberof Opportunity
     */
    freightamount_base?: any;

    /**
     * TeamsFollowed
     *
     * @returns {*}
     * @memberof Opportunity
     */
    teamsfollowed?: any;

    /**
     * ProposedSolution
     *
     * @returns {*}
     * @memberof Opportunity
     */
    proposedsolution?: any;

    /**
     * FileDebrief
     *
     * @returns {*}
     * @memberof Opportunity
     */
    filedebrief?: any;

    /**
     * BudgetAmount
     *
     * @returns {*}
     * @memberof Opportunity
     */
    budgetamount?: any;

    /**
     * BudgetStatus
     *
     * @returns {*}
     * @memberof Opportunity
     */
    budgetstatus?: any;

    /**
     * DiscountAmount_Base
     *
     * @returns {*}
     * @memberof Opportunity
     */
    discountamount_base?: any;

    /**
     * CompleteFinalProposal
     *
     * @returns {*}
     * @memberof Opportunity
     */
    completefinalproposal?: any;

    /**
     * OriginatingLeadIdYomiName
     *
     * @returns {*}
     * @memberof Opportunity
     */
    originatingleadidyominame?: any;

    /**
     * DiscountAmount
     *
     * @returns {*}
     * @memberof Opportunity
     */
    discountamount?: any;

    /**
     * CustomerIdYomiName
     *
     * @returns {*}
     * @memberof Opportunity
     */
    customeridyominame?: any;

    /**
     * Need
     *
     * @returns {*}
     * @memberof Opportunity
     */
    need?: any;

    /**
     * StageId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    stageid?: any;

    /**
     * FreightAmount
     *
     * @returns {*}
     * @memberof Opportunity
     */
    freightamount?: any;

    /**
     * ActualValue
     *
     * @returns {*}
     * @memberof Opportunity
     */
    actualvalue?: any;

    /**
     * Private
     *
     * @returns {*}
     * @memberof Opportunity
     */
    ibizprivate?: any;

    /**
     * TimeZoneRuleVersionNumber
     *
     * @returns {*}
     * @memberof Opportunity
     */
    timezoneruleversionnumber?: any;

    /**
     * CreateDate
     *
     * @returns {*}
     * @memberof Opportunity
     */
    createdate?: any;

    /**
     * PriorityCode
     *
     * @returns {*}
     * @memberof Opportunity
     */
    prioritycode?: any;

    /**
     * TotalLineItemAmount_Base
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totallineitemamount_base?: any;

    /**
     * EstimatedCloseDate
     *
     * @returns {*}
     * @memberof Opportunity
     */
    estimatedclosedate?: any;

    /**
     * CurrentSituation
     *
     * @returns {*}
     * @memberof Opportunity
     */
    currentsituation?: any;

    /**
     * ActualValue_Base
     *
     * @returns {*}
     * @memberof Opportunity
     */
    actualvalue_base?: any;

    /**
     * CustomerPainPoints
     *
     * @returns {*}
     * @memberof Opportunity
     */
    customerpainpoints?: any;

    /**
     * TotalDiscountAmount
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totaldiscountamount?: any;

    /**
     * opportunityName
     *
     * @returns {*}
     * @memberof Opportunity
     */
    opportunityname?: any;

    /**
     * OwnerIdType
     *
     * @returns {*}
     * @memberof Opportunity
     */
    owneridtype?: any;

    /**
     * IdentifyCustomerContacts
     *
     * @returns {*}
     * @memberof Opportunity
     */
    identifycustomercontacts?: any;

    /**
     * TimeLine
     *
     * @returns {*}
     * @memberof Opportunity
     */
    timeline?: any;

    /**
     * LastOnHoldTime
     *
     * @returns {*}
     * @memberof Opportunity
     */
    lastonholdtime?: any;

    /**
     * TotalAmountLessFreight_Base
     *
     * @returns {*}
     * @memberof Opportunity
     */
    totalamountlessfreight_base?: any;

    /**
     * EstimatedValue
     *
     * @returns {*}
     * @memberof Opportunity
     */
    estimatedvalue?: any;

    /**
     * EmailAddress
     *
     * @returns {*}
     * @memberof Opportunity
     */
    emailaddress?: any;

    /**
     * StateCode
     *
     * @returns {*}
     * @memberof Opportunity
     */
    statecode?: any;

    /**
     * PurchaseTimeframe
     *
     * @returns {*}
     * @memberof Opportunity
     */
    purchasetimeframe?: any;

    /**
     * CreateMan
     *
     * @returns {*}
     * @memberof Opportunity
     */
    createman?: any;

    /**
     * QuoteComments
     *
     * @returns {*}
     * @memberof Opportunity
     */
    quotecomments?: any;

    /**
     * ParentAccountIdYomiName
     *
     * @returns {*}
     * @memberof Opportunity
     */
    parentaccountidyominame?: any;

    /**
     * CustomerIdType
     *
     * @returns {*}
     * @memberof Opportunity
     */
    customeridtype?: any;

    /**
     * SLAName
     *
     * @returns {*}
     * @memberof Opportunity
     */
    slaname?: any;

    /**
     * OverriddenCreatedOn
     *
     * @returns {*}
     * @memberof Opportunity
     */
    overriddencreatedon?: any;

    /**
     * OwnerId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    ownerid?: any;

    /**
     * ParentContactId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    parentcontactid?: any;

    /**
     * CampaignId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    campaignid?: any;

    /**
     * TransactionCurrencyId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    transactioncurrencyid?: any;

    /**
     * ParentAccountId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    parentaccountid?: any;

    /**
     * PriceLevelId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    pricelevelid?: any;

    /**
     * OriginatingLeadId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    originatingleadid?: any;

    /**
     * SLAId
     *
     * @returns {*}
     * @memberof Opportunity
     */
    slaid?: any;
}