export default {
  fields: {
    inprogressdecimal: 'InProgressDecimal',
    goalid: 'GoalId',
    stretchtargetmoney: 'StretchTargetMoney',
    actualdecimal: 'ActualDecimal',
    computedtargetasoftodayinteger: 'ComputedTargetAsOfTodayInteger',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    exchangerate: 'ExchangeRate',
    entityimageid: 'EntityImageId',
    targetinteger: 'TargetInteger',
    customrollupfieldmoney_base: 'CustomRollupFieldMoney_Base',
    entityimage_url: 'EntityImage_URL',
    actualmoney_base: 'ActualMoney_Base',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    inprogressinteger: 'InProgressInteger',
    statecode: 'StateCode',
    targetmoney_base: 'TargetMoney_Base',
    inprogressstring: 'InProgressString',
    entityimage_timestamp: 'EntityImage_Timestamp',
    goalstartdate: 'GoalStartDate',
    percentage: 'Percentage',
    ownerid: 'OwnerId',
    goalowneridyominame: 'GoalOwnerIdYomiName',
    targetdecimal: 'TargetDecimal',
    amount: 'Amount',
    statuscode: 'StatusCode',
    amountdatatype: 'AmountDataType',
    customrollupfieldinteger: 'CustomRollupFieldInteger',
    owneridtype: 'OwnerIdType',
    updatedate: 'UpdateDate',
    inprogressmoney: 'InProgressMoney',
    fiscalyear: 'FiscalYear',
    fiscalperiod: 'FiscalPeriod',
    title: 'Title',
    stretchtargetdecimal: 'StretchTargetDecimal',
    customrollupfielddecimal: 'CustomRollupFieldDecimal',
    consideronlygoalownersrecords: 'ConsiderOnlyGoalOwnersRecords',
    overriddencreatedon: 'OverriddenCreatedOn',
    actualmoney: 'ActualMoney',
    rolluponlyfromchildgoals: 'RollupOnlyFromChildGoals',
    goalenddate: 'GoalEndDate',
    createdate: 'CreateDate',
    customrollupfieldmoney: 'CustomRollupFieldMoney',
    rolluperrorcode: 'RollupErrorCode',
    versionnumber: 'VersionNumber',
    stretchtargetmoney_base: 'StretchTargetMoney_Base',
    treeid: 'TreeId',
    entityimage: 'EntityImage',
    stretchtargetstring: 'StretchTargetString',
    stretchtargetinteger: 'StretchTargetInteger',
    fiscalperiodgoal: 'FiscalPeriodGoal',
    inprogressmoney_base: 'InProgressMoney_Base',
    overridden: 'Overridden',
    actualstring: 'ActualString',
    actualinteger: 'ActualInteger',
    goalowneridtype: 'GoalOwnerIdType',
    importsequencenumber: 'ImportSequenceNumber',
    goalownerid: 'GoalOwnerId',
    computedtargetasoftodaydecimal: 'ComputedTargetAsOfTodayDecimal',
    createman: 'CreateMan',
    targetstring: 'TargetString',
    customrollupfieldstring: 'CustomRollupFieldString',
    targetmoney: 'TargetMoney',
    lastrolledupdate: 'LastRolledupDate',
    updateman: 'UpdateMan',
    override: 'Override',
    computedtargetasoftodaymoney: 'ComputedTargetAsOfTodayMoney',
    owneridyominame: 'OwnerIdYomiName',
    parentgoalid: 'ParentGoalId',
    rollupqueryinprogressmoneyid: 'RollUpQueryInprogressMoneyId',
    rollupquerycustommoneyid: 'RollUpQueryCustomMoneyId',
    rollupqueryinprogressintegerid: 'RollUpQueryInprogressIntegerId',
    rollupquerycustomdecimalid: 'RollUpQueryCustomDecimalId',
    rollupqueryactualmoneyid: 'RollUpQueryActualMoneyId',
    rollupquerycustomintegerid: 'RollUpQueryCustomIntegerId',
    goalwitherrorid: 'GoalWithErrorId',
    metricid: 'MetricId',
    rollupqueryinprogressdecimalid: 'RollUpQueryInprogressDecimalId',
    rollupqueryactualintegerid: 'RollupQueryActualIntegerId',
    rollupqueryactualdecimalid: 'RollUpQueryActualDecimalId',
  },
	views: {
		editview: {
			caption: '目标',
      title: '目标',
		},
		gridview: {
			caption: '目标',
      title: '目标',
		},
	},
	main_form: {
		details: {
			group1: 'goal基本信息', 
			formpage1: '基本信息', 
			group2: '操作信息', 
			formpage2: '其它', 
			srfupdatedate: 'UpdateDate', 
			srforikey: '', 
			srfkey: 'GoalId', 
			srfmajortext: 'Title', 
			srftempmode: '', 
			srfuf: '', 
			srfdeid: '', 
			srfsourcekey: '', 
			title: 'Title', 
			createman: 'CreateMan', 
			createdate: 'CreateDate', 
			updateman: 'UpdateMan', 
			updatedate: 'UpdateDate', 
			goalid: 'GoalId', 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			title: 'Title',
			updateman: 'UpdateMan',
			updatedate: 'UpdateDate',
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: '常规条件', 
		},
		uiactions: {
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: '保存',
			tip: '保存',
		},
		tbitem4: {
			caption: '保存并新建',
			tip: '保存并新建',
		},
		tbitem5: {
			caption: '保存并关闭',
			tip: '保存并关闭',
		},
		tbitem6: {
			caption: '-',
			tip: '',
		},
		tbitem7: {
			caption: '删除并关闭',
			tip: '删除并关闭',
		},
		tbitem8: {
			caption: '-',
			tip: '',
		},
		tbitem12: {
			caption: '新建',
			tip: '新建',
		},
		tbitem13: {
			caption: '-',
			tip: '',
		},
		tbitem14: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem16: {
			caption: '-',
			tip: '',
		},
		tbitem23: {
			caption: '第一个记录',
			tip: '第一个记录',
		},
		tbitem24: {
			caption: '上一个记录',
			tip: '上一个记录',
		},
		tbitem25: {
			caption: '下一个记录',
			tip: '下一个记录',
		},
		tbitem26: {
			caption: '最后一个记录',
			tip: '最后一个记录',
		},
		tbitem21: {
			caption: '-',
			tip: '',
		},
		tbitem22: {
			caption: '帮助',
			tip: '帮助',
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: '新建',
			tip: '新建',
		},
		tbitem4: {
			caption: '编辑',
			tip: '编辑',
		},
		tbitem6: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem7: {
			caption: '-',
			tip: '',
		},
		tbitem8: {
			caption: '删除',
			tip: '删除',
		},
		tbitem9: {
			caption: '-',
			tip: '',
		},
		tbitem13: {
			caption: '导出',
			tip: '导出',
		},
		tbitem10: {
			caption: '-',
			tip: '',
		},
		tbitem16: {
			caption: '其它',
			tip: '其它',
		},
		tbitem21: {
			caption: '导出数据模型',
			tip: '导出数据模型',
		},
		tbitem23: {
			caption: '数据导入',
			tip: '数据导入',
		},
		tbitem17: {
			caption: '-',
			tip: '',
		},
		tbitem19: {
			caption: '过滤',
			tip: '过滤',
		},
		tbitem18: {
			caption: '帮助',
			tip: '帮助',
		},
	},
};