export default {
  fields: {
    owneridtype: 'OwnerIdType',
    query: 'Query',
    updateman: 'UpdateMan',
    lockstatus: 'LockStatus',
    purpose: 'Purpose',
    lastusedon: 'LastUsedOn',
    ownerid: 'OwnerId',
    listid: 'ListId',
    membertype: 'MemberType',
    donotsendonoptout: 'DoNotSendOnOptOut',
    versionnumber: 'VersionNumber',
    cost: 'Cost',
    statecode: 'StateCode',
    exchangerate: 'ExchangeRate',
    listname: 'ListName',
    statuscode: 'StatusCode',
    owneridyominame: 'OwnerIdYomiName',
    description: 'Description',
    type: 'Type',
    createdate: 'CreateDate',
    importsequencenumber: 'ImportSequenceNumber',
    createman: 'CreateMan',
    processid: 'ProcessId',
    cost_base: 'Cost_Base',
    membercount: 'MemberCount',
    ignoreinactivelistmembers: 'IgnoreInactiveListMembers',
    stageid: 'StageId',
    source: 'Source',
    updatedate: 'UpdateDate',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    createdfromcode: 'CreatedFromCode',
    overriddencreatedon: 'OverriddenCreatedOn',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    traversedpath: 'TraversedPath',
    transactioncurrencyid: 'TransactionCurrencyId',
  },
	views: {
		editview: {
			caption: '市场营销列表',
      title: '市场营销列表',
		},
		gridview: {
			caption: '市场营销列表',
      title: '市场营销列表',
		},
	},
	main_form: {
		details: {
			group1: 'list基本信息', 
			formpage1: '基本信息', 
			group2: '操作信息', 
			formpage2: '其它', 
			srfupdatedate: 'UpdateDate', 
			srforikey: '', 
			srfkey: 'ListId', 
			srfmajortext: 'ListName', 
			srftempmode: '', 
			srfuf: '', 
			srfdeid: '', 
			srfsourcekey: '', 
			listname: 'ListName', 
			createman: 'CreateMan', 
			createdate: 'CreateDate', 
			updateman: 'UpdateMan', 
			updatedate: 'UpdateDate', 
			listid: 'ListId', 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			listname: 'ListName',
			updateman: 'UpdateMan',
			updatedate: 'UpdateDate',
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: '常规条件', 
		},
		uiactions: {
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: '保存',
			tip: '保存',
		},
		tbitem4: {
			caption: '保存并新建',
			tip: '保存并新建',
		},
		tbitem5: {
			caption: '保存并关闭',
			tip: '保存并关闭',
		},
		tbitem6: {
			caption: '-',
			tip: '',
		},
		tbitem7: {
			caption: '删除并关闭',
			tip: '删除并关闭',
		},
		tbitem8: {
			caption: '-',
			tip: '',
		},
		tbitem12: {
			caption: '新建',
			tip: '新建',
		},
		tbitem13: {
			caption: '-',
			tip: '',
		},
		tbitem14: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem16: {
			caption: '-',
			tip: '',
		},
		tbitem23: {
			caption: '第一个记录',
			tip: '第一个记录',
		},
		tbitem24: {
			caption: '上一个记录',
			tip: '上一个记录',
		},
		tbitem25: {
			caption: '下一个记录',
			tip: '下一个记录',
		},
		tbitem26: {
			caption: '最后一个记录',
			tip: '最后一个记录',
		},
		tbitem21: {
			caption: '-',
			tip: '',
		},
		tbitem22: {
			caption: '帮助',
			tip: '帮助',
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: '新建',
			tip: '新建',
		},
		tbitem4: {
			caption: '编辑',
			tip: '编辑',
		},
		tbitem6: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem7: {
			caption: '-',
			tip: '',
		},
		tbitem8: {
			caption: '删除',
			tip: '删除',
		},
		tbitem9: {
			caption: '-',
			tip: '',
		},
		tbitem13: {
			caption: '导出',
			tip: '导出',
		},
		tbitem10: {
			caption: '-',
			tip: '',
		},
		tbitem16: {
			caption: '其它',
			tip: '其它',
		},
		tbitem21: {
			caption: '导出数据模型',
			tip: '导出数据模型',
		},
		tbitem23: {
			caption: '数据导入',
			tip: '数据导入',
		},
		tbitem17: {
			caption: '-',
			tip: '',
		},
		tbitem19: {
			caption: '过滤',
			tip: '过滤',
		},
		tbitem18: {
			caption: '帮助',
			tip: '帮助',
		},
	},
};