export default {
  fields: {
    billto_line1: 'BillTo_Line1',
    billto_telephone: 'BillTo_Telephone',
    owneridtype: 'OwnerIdType',
    accountidyominame: 'AccountIdYomiName',
    lastonholdtime: 'LastOnHoldTime',
    billto_stateorprovince: 'BillTo_StateOrProvince',
    duedate: 'DueDate',
    pricingerrorcode: 'PricingErrorCode',
    traversedpath: 'TraversedPath',
    totaldiscountamount_base: 'TotalDiscountAmount_Base',
    totalamountlessfreight_base: 'TotalAmountLessFreight_Base',
    contactidyominame: 'ContactIdYomiName',
    customeridyominame: 'CustomerIdYomiName',
    lastbackofficesubmit: 'LastBackofficeSubmit',
    shipto_telephone: 'ShipTo_Telephone',
    billto_city: 'BillTo_City',
    createman: 'CreateMan',
    shipto_composite: 'ShipTo_Composite',
    overriddencreatedon: 'OverriddenCreatedOn',
    billto_postalcode: 'BillTo_PostalCode',
    freightamount_base: 'FreightAmount_Base',
    invoicename: 'invoiceName',
    updatedate: 'UpdateDate',
    shipto_city: 'ShipTo_City',
    totalamount: 'TotalAmount',
    customerid: 'CustomerId',
    totalamount_base: 'TotalAmount_Base',
    billto_name: 'BillTo_Name',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    description: 'Description',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    freightamount: 'FreightAmount',
    prioritycode: 'PriorityCode',
    discountamount_base: 'DiscountAmount_Base',
    onholdtime: 'OnHoldTime',
    shipto_country: 'ShipTo_Country',
    paymenttermscode: 'PaymentTermsCode',
    shipto_freighttermscode: 'ShipTo_FreightTermsCode',
    updateman: 'UpdateMan',
    shipto_line3: 'ShipTo_Line3',
    totaltax: 'TotalTax',
    billto_line2: 'BillTo_Line2',
    createdate: 'CreateDate',
    exchangerate: 'ExchangeRate',
    shipto_line1: 'ShipTo_Line1',
    invoiceid: 'InvoiceId',
    discountpercentage: 'DiscountPercentage',
    totallineitemamount_base: 'TotalLineItemAmount_Base',
    stageid: 'StageId',
    entityimage_url: 'EntityImage_URL',
    statecode: 'StateCode',
    totalamountlessfreight: 'TotalAmountLessFreight',
    totaltax_base: 'TotalTax_Base',
    shipto_line2: 'ShipTo_Line2',
    billto_country: 'BillTo_Country',
    entityimage: 'EntityImage',
    importsequencenumber: 'ImportSequenceNumber',
    slaname: 'SLAName',
    customeridtype: 'CustomerIdType',
    shipto_fax: 'ShipTo_Fax',
    ownerid: 'OwnerId',
    datedelivered: 'DateDelivered',
    owneridyominame: 'OwnerIdYomiName',
    entityimage_timestamp: 'EntityImage_Timestamp',
    processid: 'ProcessId',
    totaldiscountamount: 'TotalDiscountAmount',
    pricelocked: 'PriceLocked',
    willcall: 'WillCall',
    billto_line3: 'BillTo_Line3',
    shipto_name: 'ShipTo_Name',
    statuscode: 'StatusCode',
    totallineitemamount: 'TotalLineItemAmount',
    discountamount: 'DiscountAmount',
    shipto_stateorprovince: 'ShipTo_StateOrProvince',
    entityimageid: 'EntityImageId',
    versionnumber: 'VersionNumber',
    shipto_postalcode: 'ShipTo_PostalCode',
    invoicenumber: 'InvoiceNumber',
    billto_composite: 'BillTo_Composite',
    emailaddress: 'EmailAddress',
    shippingmethodcode: 'ShippingMethodCode',
    totallineitemdiscountamount: 'TotalLineItemDiscountAmount',
    billto_fax: 'BillTo_Fax',
    transactioncurrencyid: 'TransactionCurrencyId',
    pricelevelid: 'PriceLevelId',
    salesorderid: 'SalesOrderId',
    opportunityid: 'OpportunityId',
    slaid: 'SLAId',
  },
	views: {
		editview: {
			caption: '发票',
      title: '发票',
		},
		gridview: {
			caption: '发票',
      title: '发票',
		},
	},
	main_form: {
		details: {
			group1: 'invoice基本信息', 
			formpage1: '基本信息', 
			group2: '操作信息', 
			formpage2: '其它', 
			srfupdatedate: 'UpdateDate', 
			srforikey: '', 
			srfkey: 'InvoiceId', 
			srfmajortext: 'invoiceName', 
			srftempmode: '', 
			srfuf: '', 
			srfdeid: '', 
			srfsourcekey: '', 
			invoicename: 'invoiceName', 
			createman: 'CreateMan', 
			createdate: 'CreateDate', 
			updateman: 'UpdateMan', 
			updatedate: 'UpdateDate', 
			invoiceid: 'InvoiceId', 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			invoicename: 'invoiceName',
			updateman: 'UpdateMan',
			updatedate: 'UpdateDate',
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: '常规条件', 
		},
		uiactions: {
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: '保存',
			tip: '保存',
		},
		tbitem4: {
			caption: '保存并新建',
			tip: '保存并新建',
		},
		tbitem5: {
			caption: '保存并关闭',
			tip: '保存并关闭',
		},
		tbitem6: {
			caption: '-',
			tip: '',
		},
		tbitem7: {
			caption: '删除并关闭',
			tip: '删除并关闭',
		},
		tbitem8: {
			caption: '-',
			tip: '',
		},
		tbitem12: {
			caption: '新建',
			tip: '新建',
		},
		tbitem13: {
			caption: '-',
			tip: '',
		},
		tbitem14: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem16: {
			caption: '-',
			tip: '',
		},
		tbitem23: {
			caption: '第一个记录',
			tip: '第一个记录',
		},
		tbitem24: {
			caption: '上一个记录',
			tip: '上一个记录',
		},
		tbitem25: {
			caption: '下一个记录',
			tip: '下一个记录',
		},
		tbitem26: {
			caption: '最后一个记录',
			tip: '最后一个记录',
		},
		tbitem21: {
			caption: '-',
			tip: '',
		},
		tbitem22: {
			caption: '帮助',
			tip: '帮助',
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: '新建',
			tip: '新建',
		},
		tbitem4: {
			caption: '编辑',
			tip: '编辑',
		},
		tbitem6: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem7: {
			caption: '-',
			tip: '',
		},
		tbitem8: {
			caption: '删除',
			tip: '删除',
		},
		tbitem9: {
			caption: '-',
			tip: '',
		},
		tbitem13: {
			caption: '导出',
			tip: '导出',
		},
		tbitem10: {
			caption: '-',
			tip: '',
		},
		tbitem16: {
			caption: '其它',
			tip: '其它',
		},
		tbitem21: {
			caption: '导出数据模型',
			tip: '导出数据模型',
		},
		tbitem23: {
			caption: '数据导入',
			tip: '数据导入',
		},
		tbitem17: {
			caption: '-',
			tip: '',
		},
		tbitem19: {
			caption: '过滤',
			tip: '过滤',
		},
		tbitem18: {
			caption: '帮助',
			tip: '帮助',
		},
	},
};