export default {
  fields: {
    vendorid: 'VendorID',
    productstructure: 'ProductStructure',
    versionnumber: 'VersionNumber',
    stageid: 'StageId',
    statuscode: 'StatusCode',
    entityimage: 'EntityImage',
    overriddencreatedon: 'OverriddenCreatedOn',
    stockitem: 'StockItem',
    importsequencenumber: 'ImportSequenceNumber',
    validfromdate: 'ValidFromDate',
    suppliername: 'SupplierName',
    producttypecode: 'ProductTypeCode',
    entityimageid: 'EntityImageId',
    entityimage_timestamp: 'EntityImage_Timestamp',
    producturl: 'ProductUrl',
    standardcost: 'StandardCost',
    quantityonhand: 'QuantityOnHand',
    currentcost: 'CurrentCost',
    exchangerate: 'ExchangeRate',
    productid: 'ProductId',
    description: 'Description',
    vendorname: 'VendorName',
    dmtimportstate: 'DMTImportState',
    entityimage_url: 'EntityImage_URL',
    stockvolume: 'StockVolume',
    quantitydecimal: 'QuantityDecimal',
    vendorpartnumber: 'VendorPartNumber',
    validtodate: 'ValidToDate',
    reparented: 'Reparented',
    createman: 'CreateMan',
    processid: 'ProcessId',
    createdate: 'CreateDate',
    productnumber: 'ProductNumber',
    kit: 'Kit',
    updatedate: 'UpdateDate',
    currentcost_base: 'CurrentCost_Base',
    updateman: 'UpdateMan',
    stockweight: 'StockWeight',
    size: 'Size',
    timezoneruleversionnumber: 'TimeZoneRuleVersionNumber',
    utcconversiontimezonecode: 'UTCConversionTimeZoneCode',
    productname: 'productName',
    price_base: 'Price_Base',
    price: 'Price',
    traversedpath: 'TraversedPath',
    hierarchypath: 'HierarchyPath',
    standardcost_base: 'StandardCost_Base',
    statecode: 'StateCode',
    parentproductid: 'ParentProductId',
    transactioncurrencyid: 'TransactionCurrencyId',
    pricelevelid: 'PriceLevelId',
    defaultuomid: 'DefaultUoMId',
    defaultuomscheduleid: 'DefaultUoMScheduleId',
    subjectid: 'SubjectId',
  },
	views: {
		gridview: {
			caption: '产品',
      title: '产品',
		},
		editview: {
			caption: '产品',
      title: '产品',
		},
	},
	main_form: {
		details: {
			group1: 'product基本信息', 
			formpage1: '基本信息', 
			group2: '操作信息', 
			formpage2: '其它', 
			srfupdatedate: 'UpdateDate', 
			srforikey: '', 
			srfkey: 'ProductId', 
			srfmajortext: 'productName', 
			srftempmode: '', 
			srfuf: '', 
			srfdeid: '', 
			srfsourcekey: '', 
			productname: 'productName', 
			createman: 'CreateMan', 
			createdate: 'CreateDate', 
			updateman: 'UpdateMan', 
			updatedate: 'UpdateDate', 
			productid: 'ProductId', 
		},
		uiactions: {
		},
	},
	main_grid: {
		columns: {
			productname: 'productName',
			updateman: 'UpdateMan',
			updatedate: 'UpdateDate',
		},
		uiactions: {
		},
	},
	default_searchform: {
		details: {
			formpage1: '常规条件', 
		},
		uiactions: {
		},
	},
	gridviewtoolbar_toolbar: {
		tbitem3: {
			caption: '新建',
			tip: '新建',
		},
		tbitem4: {
			caption: '编辑',
			tip: '编辑',
		},
		tbitem6: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem7: {
			caption: '-',
			tip: '',
		},
		tbitem8: {
			caption: '删除',
			tip: '删除',
		},
		tbitem9: {
			caption: '-',
			tip: '',
		},
		tbitem13: {
			caption: '导出',
			tip: '导出',
		},
		tbitem10: {
			caption: '-',
			tip: '',
		},
		tbitem16: {
			caption: '其它',
			tip: '其它',
		},
		tbitem21: {
			caption: '导出数据模型',
			tip: '导出数据模型',
		},
		tbitem23: {
			caption: '数据导入',
			tip: '数据导入',
		},
		tbitem17: {
			caption: '-',
			tip: '',
		},
		tbitem19: {
			caption: '过滤',
			tip: '过滤',
		},
		tbitem18: {
			caption: '帮助',
			tip: '帮助',
		},
	},
	editviewtoolbar_toolbar: {
		tbitem3: {
			caption: '保存',
			tip: '保存',
		},
		tbitem4: {
			caption: '保存并新建',
			tip: '保存并新建',
		},
		tbitem5: {
			caption: '保存并关闭',
			tip: '保存并关闭',
		},
		tbitem6: {
			caption: '-',
			tip: '',
		},
		tbitem7: {
			caption: '删除并关闭',
			tip: '删除并关闭',
		},
		tbitem8: {
			caption: '-',
			tip: '',
		},
		tbitem12: {
			caption: '新建',
			tip: '新建',
		},
		tbitem13: {
			caption: '-',
			tip: '',
		},
		tbitem14: {
			caption: '拷贝',
			tip: '拷贝',
		},
		tbitem16: {
			caption: '-',
			tip: '',
		},
		tbitem23: {
			caption: '第一个记录',
			tip: '第一个记录',
		},
		tbitem24: {
			caption: '上一个记录',
			tip: '上一个记录',
		},
		tbitem25: {
			caption: '下一个记录',
			tip: '下一个记录',
		},
		tbitem26: {
			caption: '最后一个记录',
			tip: '最后一个记录',
		},
		tbitem21: {
			caption: '-',
			tip: '',
		},
		tbitem22: {
			caption: '帮助',
			tip: '帮助',
		},
	},
};