import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "ibizlisteditview": {
            "title": "list编辑视图",
            "caption": "市场营销列表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListEditView",
            "viewtag": "022fec633163c5e30cce1683ba4ae8d1"
        },
        "accountgridview": {
            "title": "account表格视图",
            "caption": "客户",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountGridView",
            "viewtag": "029b8e93b043fca0a4976f0b69d9bff0"
        },
        "incidentgridview": {
            "title": "incident表格视图",
            "caption": "案例",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentGridView",
            "viewtag": "0912fabaf6584f7207999e067cb5bc23"
        },
        "competitoreditview": {
            "title": "competitor编辑视图",
            "caption": "竞争对手",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorEditView",
            "viewtag": "0e5395dea1295287cf922537446d7f12"
        },
        "leadgridview": {
            "title": "lead表格视图",
            "caption": "潜在客户",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadGridView",
            "viewtag": "1473beed4637b2bd47ee4a42804c9ad0"
        },
        "leadeditview": {
            "title": "lead编辑视图",
            "caption": "潜在客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadEditView",
            "viewtag": "1f9d64a8dc00f294556039b069ef97aa"
        },
        "salesordereditview": {
            "title": "salesorder编辑视图",
            "caption": "销售订单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderEditView",
            "viewtag": "242d1352d0c9fe75e2303ac0e2958b4f"
        },
        "accounteditview": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountEditView",
            "viewtag": "301297a83f7f3a2323dbfc75a93ef9be"
        },
        "productgridview": {
            "title": "product表格视图",
            "caption": "产品",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "ProductGridView",
            "viewtag": "314a2bd00356d4c4523d4510ad0ca055"
        },
        "goaleditview": {
            "title": "goal编辑视图",
            "caption": "目标",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalEditView",
            "viewtag": "44a93160b162a45dbf86515c2849db5e"
        },
        "quoteeditview": {
            "title": "quote编辑视图",
            "caption": "报价",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteEditView",
            "viewtag": "55d3e6a97afdcc99b679710e50b8532d"
        },
        "opportunitygridview": {
            "title": "opportunity表格视图",
            "caption": "商机",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityGridView",
            "viewtag": "5f7dad74e970fce9d850639f1252ff2f"
        },
        "salesliteraturegridview": {
            "title": "salesliterature表格视图",
            "caption": "销售资料",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureGridView",
            "viewtag": "644744cdedf130c9d4c1f5552d5d89da"
        },
        "salesliteratureeditview": {
            "title": "salesliterature编辑视图",
            "caption": "销售资料",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureEditView",
            "viewtag": "6b8a5e0cb0ff39c5b8e516c0daef90ff"
        },
        "ibizlistgridview": {
            "title": "list表格视图",
            "caption": "市场营销列表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListGridView",
            "viewtag": "71d6f26304cdd4685a93433b6a8c2f43"
        },
        "incidenteditview": {
            "title": "incident编辑视图",
            "caption": "案例",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentEditView",
            "viewtag": "81b76c58c9f40d0f1faa9a22607f5e08"
        },
        "activitypointergridview": {
            "title": "activitypointer表格视图",
            "caption": "活动打印机",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerGridView",
            "viewtag": "8c944fddb33f324b5d6a9505ee494277"
        },
        "contactgridview": {
            "title": "contact表格视图",
            "caption": "联系人",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ContactGridView",
            "viewtag": "a713aea8608593fb35ec7a2ecfd0dd27"
        },
        "competitorgridview": {
            "title": "competitor表格视图",
            "caption": "竞争对手",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorGridView",
            "viewtag": "b24eff38555dc6660346cdebf74f6947"
        },
        "opportunityeditview": {
            "title": "opportunity编辑视图",
            "caption": "商机",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityEditView",
            "viewtag": "bb88c2fc8300f71ef4885c445fc2490e"
        },
        "invoiceeditview": {
            "title": "invoice编辑视图",
            "caption": "发票",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceEditView",
            "viewtag": "c31949cf4be62903abc065350f944e6f"
        },
        "central": {
            "title": "应用首页视图",
            "caption": "企业中心",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "Central",
            "viewtag": "C52BC31D-D473-4EEF-A24E-B60E91F4B764"
        },
        "invoicegridview": {
            "title": "invoice表格视图",
            "caption": "发票",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceGridView",
            "viewtag": "c95859e40dcfb94966dc69821bbac24b"
        },
        "salesordergridview": {
            "title": "salesorder表格视图",
            "caption": "销售订单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderGridView",
            "viewtag": "c99e19fc1502dc9bd1a1356023a9ea97"
        },
        "quotegridview": {
            "title": "quote表格视图",
            "caption": "报价",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteGridView",
            "viewtag": "d471fc54ad82bac1b279770ac48c6490"
        },
        "contacteditview": {
            "title": "contact编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ContactEditView",
            "viewtag": "e389f6eebd5081c585de1204432afabc"
        },
        "goalgridview": {
            "title": "goal表格视图",
            "caption": "目标",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalGridView",
            "viewtag": "e73dc1a69d6ab3e0cf85665e3e32beb7"
        },
        "producteditview": {
            "title": "product编辑视图",
            "caption": "产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Product",
            "viewname": "ProductEditView",
            "viewtag": "f66adb6cde916c7c4efbba4078660506"
        },
        "activitypointereditview": {
            "title": "activitypointer编辑视图",
            "caption": "活动打印机",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerEditView",
            "viewtag": "fca4206c35af6841accf559090087ce8"
        }
    }];
});